----------------------------------------------------------------------
 OmegaT 2.6.3 update 1
----------------------------------------------------------------------
   3 Enhancements
   2 Bug fixes
   7 Localisation updates
----------------------------------------------------------------------
2.6.3 update 1 vs. 2.6.3


  Other enhancements:

  - All documentation images were converted to 256 colours, giving
a significant size decrease without a noticeable change in image 
clarity

  - Linux: improved Kaptain launcher, with updated tokenizers

  - Java (for Windows and Linux with JRE) updated to 1.6.0_43-b01
  
  Bug fixes:

  - When an XML document (e.g., DocBook), contained both internal and 
external entities, the target files could be empty

  - Word selection with a double-click could sometimes be off

  Localisation updates:

  - Dutch localization updated to 2.6.3 (UI, Documentation, Readme)
  - Interlingua localisation updated to 2.6.3 (UI, Readme, Instant Start)
  - Italian localisation updated to 2.6.3 (UI, Readme, Documentation)
  - Japanese localisation updated to 2.6.3 (UI, Documentation)
  - Russian localisation updated to 2.6.3 (UI, , Readme, Documentation)
  - Basque localisation updated to 2.6.3 (backported from 3.0) (UI, Readme, Instant Start)
  - Brasilian Portuguese localisation updated to 2.6.3 (backported from 3.0) (UI, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.6.3
----------------------------------------------------------------------
   3 Enhancements
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.6.3 vs. 2.6.2

  Implemented requests:

  - Import from exported script files
  http://sourceforge.net/support/tracker.php?aid=2957819

  Other enhancements:
  
  - More flexible parsing for external commands arguments

  - Updated documentation

  Bug fixes:

  - Git team projects: an issue was fixed with line ending on non-Windows
machines

----------------------------------------------------------------------
 OmegaT 2.6.2
----------------------------------------------------------------------
  10 Enhancements
   4 Bug fixes
   4 Localisation updates
----------------------------------------------------------------------
2.6.2 vs. 2.6.1 update 2

  Implemented requests:

  - External post-processing command
  http://sourceforge.net/support/tracker.php?aid=3600209

  - Tag partial verification
  http://sourceforge.net/support/tracker.php?aid=1545637

  - In OpenXML filtter, add xml:space="preserve" to w:t elts
  http://sourceforge.net/support/tracker.php?aid=3556996

  - Showing cursor in Search window and other panes
  http://sourceforge.net/support/tracker.php?aid=3586905

  Other enhancements:
  
  - Git team git server fingerprint will be stored in plain text file if
credentials are also stored. Acceptance of fingerprint will be remembered.

  - Markers for whitespace (space, tab, newline) and Bidi-characters in the 
View menu

  - Tag colouring for RTL languages/orientation

  - The right-click popup menu has been reorganised

  - When translating a Word (.docx) document and the target language
is RTL, a number of changes are done to the target document:
- Paragraphs, sections and tables are set to bidi
- Runs (text elements) are set to RTL

  - In the Search window, it is now possible to search for segments
where the author is unknown

  Bug fixes:

  - PO filter: there was an error when loading PO files with a target
language with 1 plural form

  - Team projects: changes in the writable glossary were not calculated 
correctly, which resulted in duplicate entries

  - Team projects: when the writeable glossary was not inside the 
working copy, it was not possible to synchronise the project. Now, if
the writeable glossary is outside the working copy, no attempt is done 
to synchronise it.

  - In the Fuzzy Matches pane, depending on the order of the options,
the display could be corrupted when ${diff} was used

  Localisation updates:

  - Slovenian localisation updated to 2.6.1 update 2 (UI)
  - Dutch localization updated to 2.6.1 update 2 (UI, documentation, readme)
  - Russian localization updated to 2.6.1 update 2 (UI, documentation, readme)
  - Italian localisation updated to 2.6.1 update 2 (UI)


----------------------------------------------------------------------
 OmegaT 2.6.1 update 2
----------------------------------------------------------------------
  11 Enhancements
   7 Bug fixes
   7 Localisation updates
----------------------------------------------------------------------
2.6.1 update 2 vs. 2.6.1 update 1

  Implemented requests:

  - Show where text has been added in match window
  http://sourceforge.net/support/tracker.php?aid=1483716

  - Save authentication information for team projects
  http://sourceforge.net/support/tracker.php?aid=3574419

  Other enhancements:

  - Git authorized access

  - Support for gzipped (.tmx.gz) external TMXs

  - Alignment (for filters that support it) now segments into sentences if 
segmentation is enabled in the project

  - Git submodule support added

  - Right-click on Glossary pane pops-up menu to add glossary item.

  - The writable glossary file can now be used in team project. Updates are shared.

  - PO-filter takes number of plurals from header if it is defined in the header. 
If not defined, the default for the language is used just like before.

  - New "--no-team" command line option, to be able to use a team project without
OmegaT attempting to synchronise it

  - Microsoft Translator added. Requires -Dmicrosoft.api.client_id=xxxxxx and
-Dmicrosoft.api.client_secret=xxxx to be set. Identifiers can be obtained from
the Windows Azure Marketplace.

  Bug fixes:

  - Missing part from matches not highlighted
  http://sourceforge.net/support/tracker.php?aid=1606024

  - It was not possible to use team projects offline. Now, when the 
connection is off, a message mentions the project is in offline mode.
The connection continues to be tested on each save. When the connection
comes back, a message informs the user that the project is back in online
mode.

  - Git end of lines were not handled correctly under Windows

  - If writable glossary file does not exist, it is created when an entry is added.

  - Small memory consumption optimizations on team projects during save.

  - Create/download project dialog accepts empty folder besides new folder as project location, 
and doesn't show files any more.

  - Multiple save commands could interfere, causing you to lose all translations in team project.

  Localisation updates:

  - Japanese localisation updated to 2.6.1 update 2 (UI)
  - Italian localisation updated to 2.6.1 (UI)
  - Czech localization updated to 2.6.0 update 2 (UI, documentation, readme)
  - Russian localization updated to 2.6.1 (UI, documentation, readme)
  - Dutch localization updated to 2.6.0 (UI, documentation, readme)
  - Spanish localization updated to 2.6.0 (UI, documentation, readme)
  - Indonesian localization updated to 2.6.0 (UI)

----------------------------------------------------------------------
 OmegaT 2.6.1 update 1
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.6.1 update 1 vs. 2.6.1

  Bug fixes:

  - The Okapi plugin was not working: an exception was produced when trying 
to load a file

----------------------------------------------------------------------
 OmegaT 2.6.1
----------------------------------------------------------------------
   8 Enhancements
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.6.1 vs. 2.6.0 update 4

  Implemented requests:

  - Allow to load TMX as 'alternative source' 
  http://sourceforge.net/support/tracker.php?aid=3563248

  - Display encoding and filter used in list of project files 
  http://sourceforge.net/support/tracker.php?aid=3440267

  - Ignore 'Fragments that should be removed' on fuzzy matches 
  http://sourceforge.net/support/tracker.php?aid=3567014

  - Option to not translate headers in PO filter
  http://sourceforge.net/support/tracker.php?aid=3568947

  - PO filter Plural Forms
  http://sourceforge.net/support/tracker.php?aid=2979054

  Other enhancements:

  - The Project Properties dialog can now be resized

  - Remove tags is now a project property feature, instead of being a
global option

  - HTML filter: new options to compress whitespace and remove comments 

  Bug fixes:

  - The PO filter option "Allow blank translations in the target files" 
was not showing the saved setting

----------------------------------------------------------------------
 OmegaT 2.6.0 update 4
----------------------------------------------------------------------
2.6.0 update 4 vs. 2.6.0 update 3

  Includes bug fix from 2.5.5 update 2

----------------------------------------------------------------------
 OmegaT 2.6.0 update 3
----------------------------------------------------------------------
2.6.0 update 3 vs. 2.6.0 update 2

  Includes bug fixes from 2.5.5 update 1

----------------------------------------------------------------------
 OmegaT 2.6.0 update 2
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   2 Localisation updates
----------------------------------------------------------------------
2.6.0 update 2 vs. 2.6.0 update 1

  Bug fixes:

  - Automatic loading of translations from the /tm/auto folder had 
stopped working except under Windows

  Localisation updates:

  - Japanese localization updated to 2.6.0 update 1 (UI)
  - Italian localization updated to 2.6.0 update 1 (UI)

----------------------------------------------------------------------
 OmegaT 2.6.0 update 1
----------------------------------------------------------------------
   2 Enhancements
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.6.0 update 1 vs. 2.6.0 

  Other enhancements:

  - SVN for team projects is now compatible with Subversion 1.7

  - If a user has only read-only permission for a repository for team 
projects, it is possible to check the read-only check box in the 
authentication dialog. Once this box is checked, OmegaT will not attempt
to write in the repository anymore

----------------------------------------------------------------------
 OmegaT 2.6.0
----------------------------------------------------------------------
   3 Enhancements
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.6.0 vs. 2.5.3 

  Implemented requests:

  - Online team projects
  http://sourceforge.net/support/tracker.php?aid=1604911

  - Apply penalties to external TMXs
  http://sourceforge.net/support/tracker.php?aid=3528575

  - Configurable display in match pane
  http://sourceforge.net/support/tracker.php?aid=2960656

----------------------------------------------------------------------
----------------------------------------------------------------------
 OmegaT 2.5.5 update 5
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.5.5 update 5 vs. 2.5.5 update 4

  Other enhancements:

  - .dotx has been added as a default extension in the Open XML filter

  Bug fixes:

  - Launcher issue on linux with space in folder name
  http://sourceforge.net/support/tracker.php?aid=3605953

----------------------------------------------------------------------
 OmegaT 2.5.5 update 4
----------------------------------------------------------------------
   4 Enhancements
   0 Bug fix
   4 Localisation updates
----------------------------------------------------------------------
2.5.5 update 4 vs. 2.5.5 update 3

  Other enhancements:

  - Swedish segmentation rules
  - French segmentation rules
  - Finnish segmentation rules
  - Japanese segmentation rules modifications

  Localisation updates:

  - Dutch localization updated to 2.5.5 (UI, documentation, readme)
  - Russian localization updated to 2.5.5 (UI, documentation, readme)
  - Czech localization updated to 2.5 (documentation, backported from 2.6)
  - Indonesian Instant start added

----------------------------------------------------------------------
 OmegaT 2.5.5 update 3
----------------------------------------------------------------------
   2 Enhancements
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.5.5 update 3 vs. 2.5.5 update 2

   Other enhancements:

  - New file filter for Visio (*.vxd) files

  - Linux Kaptain: the launch dialog closes automatically on launching

  Bug fixes:

  - <revision> tags were shown to the translator in the TXML (Wordfast) 
filter

  Localisation updates:

  - German localization updated to 2.5.5 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.5 update 2
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.5.5 update 2 vs. 2.5.5 update 1

  Bug fixes:

  - File filters options changes have no effect
  http://sourceforge.net/support/tracker.php?aid=3556394

----------------------------------------------------------------------
 OmegaT 2.5.5 update 1
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.5.5 update 1 vs. 2.5.5

  Bug fixes:

  - Project specific filter settings not saved
  http://sourceforge.net/support/tracker.php?aid=3546645

  - PowerPoint documents (.pptx and .pptm) could not be opened with Java 1.7

  Localisation updates:

  - Japanese localization updated to 2.5.5 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.5
----------------------------------------------------------------------
   3 Enhancements
   5 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.5.5 vs. 2.5.4 update 1

  Implemented requests:

  - Option to not load translations=source from source documents
  http://sourceforge.net/support/tracker.php?aid=3527626

  - Revised manual

  Other enhancements:

  - Fastest computation of Match Statistics. 
In addition, the first two lines are displayed as soon as they are computed

  Bug fixes:

  - Windows installer: the user language was always set in OmegaT.l4J.ini,
regardless of the choice of the user

  - Windows installer with Java: some languages not supported by OmegaT were
listed

  - Recognize single quotes in ENTITY of DTD file filter
  http://sourceforge.net/support/tracker.php?aid=3520305
(It was already implemented in 2.3 update 8, but had not been ported
to 2.5.)

  - Java Webstart was not working with Java 1.7

  - When one of the languages is an RTL language, or where setting the Editor
in RTL mode with Shift+Ctrl+O, spaces could be wrongly located. As a workaround, 
tags are not displayed in grey when translating an RTL language is involved or when
the Editor is in RTL mode.

  Localisation updates:

  - Russian localisation updated to 2.5.4 update 1 (UI, Instant Start)
  - Japanese localization updated to 2.5.5 (UI)
----------------------------------------------------------------------
 OmegaT 2.5.4 update 1
----------------------------------------------------------------------
   3 Enhancements
   4 Bug fixes
   4 Localisation updates
----------------------------------------------------------------------
2.5.4 update 1 vs. 2.5.4

  Implemented requests:

  - Help&Manual: hide content of tags per translate=true/false
  http://sourceforge.net/support/tracker.php?aid=3528468

  - Camtasia added tags
  http://sourceforge.net/support/tracker.php?aid=3528472

  Other enhancements:

  - Windows installer: there's a new option to specify whether the 
language chosen during installation should be used for OmegaT. If
Yes, OmegaT.l4J.ini is modified to use that language.

  Bug fixes:

  - Exception if new non-default /tm contains TMs to segment
  http://sourceforge.net/support/tracker.php?aid=3425237

  - NullPointerException during resegmentation
  http://sourceforge.net/support/tracker.php?aid=3481757

  - When editing project-specific file filters, the checkbox was 
labelled jCheckBox1 instead of "Enable project specific filters"

  - When changing project-specific segmentation rules to default and back,
the results were not immediately visible

  Localisation updates:

  - Italian localisation updated to 2.5.4 (UI, readme)
  - Dutch localisation updated to 2.5.4 (UI, readme, documentation)
  - Russian localisation updated to 2.5.4 (UI, readme, Instant Start)
  - Basque localisation updated to 2.5.2 (UI, readme, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.5.4
----------------------------------------------------------------------
   6 Enhancements
   0 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.5.4 vs. 2.5.3

  Implemented requests:

  - Automatic conversion of numbers when inserting fuzzy matches
  http://sourceforge.net/support/tracker.php?aid=1381480

  Other enhancements:

  - The automatic save interval can now be set in Options > Save. 
It is defined in minutes and seconds. If a value lower than 10 seconds
is set, it is reset to 10 seconds.

  - Linux: Enhanced Kaptain script

  - Load translations from sources as default translations
  http://sourceforge.net/support/tracker.php?aid=3524017

  - The File Filters dialog can now be resized, as well as its
sub-dialogs

  - Capture variables in source filename to target mapping
has been extended with new variables for a given number of extensions
See http://sourceforge.net/support/tracker.php?aid=3436954


  Localisation updates:

  - Italian localisation updated to 2.5.3 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.3
----------------------------------------------------------------------
   3 Enhancements
   3 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.5.3 vs. 2.5.2 update 2

  Implemented requests:

  - (X)HTML filters: hide content of tags based on attributes
  http://sourceforge.net/support/tracker.php?aid=3513384

  - Capture variables in source filename to target mapping
  http://sourceforge.net/support/tracker.php?aid=3436954

  Other enhancements:

  - The Linux packages (OmegaT_xxx_Linux.tar.bz2 and OmegaT_xxx_Without_JRE.zip) 
have been improved. They now contain an installation script: linux-install.sh 
and a Kaptain script: omegat.kaptn. The OmegaT script in OmegaT_xxx_Without_JRE.zip
have been improved with the usage of REALOMEGATPATH, as was already the case in 
OmegaT_xxx_Linux.tar.bz2.
  
  Bug fixes:

  - After loading or reloading the project, the focus was on the Matches
pane rather than on the Editor

  - Empty translations were not working for XML filters (e.g., Word,
OpenOffice.org/LibreOffice, etc.). I.e., the source text was inserted
in the target document.

  - "Comment:" was displayed for all HTML segments, even when the 
segment was not an attribute, and therefore had no comments to 
display

  Localisation updates:

  - Italian localisation updated to 2.5.2 update 2 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.2 update 2
----------------------------------------------------------------------
   1 Enhancement
   5 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.5.2 update 2 vs. 2.5.2

  Other enhancements:

  - The writeable glossary file can now have a .utf8 extension instead
of a .txt one, .txt being still the default

  Bug fixes:

  - When using Remove Tags, some non-OmegaT tags (e.g., %s, depending on 
the kind of tags checked in Options > Tag Validation) and some 
non-useful spaces could be copied at the end of the segment in the target
document

  - In some rare circumstances, the display of matches in the Fuzzy Matches
pane could be very slow

  - When the Fuzzy Matches pane was closed, the explanation text was 
displayed in bold instead of the initial non-bold attribute

  - In TMXs, the end of line was hardcoded as LF, instead of using the 
system line separator (e.g., CR+LF under Windows, LF under Linux)

  - In the Android filter, the "do not translate" mark has been corrected

  Localisation updates:

  - Dutch localisation updated to 2.5.2 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.2 update 1
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.5.2 update 1 vs. 2.5.2

  Bug fixes:

  - When the glossary folder wasn't in the default location, the 
default writeable glossary file wasn't computed correctly. In addition,
the name of the glossary file was lost on saving when a manual correction
was done in project properties.

----------------------------------------------------------------------
 OmegaT 2.5.2
----------------------------------------------------------------------
   8 Enhancements
   2 Bug fixes
   5 Localisation updates
----------------------------------------------------------------------
2.5.2 vs. 2.5.1 update 1

  Implemented requests:

  - Show non-breakable space
  http://sourceforge.net/support/tracker.php?aid=3495779

  - Use search term as window title in Search window
  http://sourceforge.net/support/tracker.php?aid=2610094

  - Clarification of the Options > Spell Checking... dialog
  http://sourceforge.net/support/tracker.php?aid=3473630

  - Selectable location for the writeable glossary file
  http://sourceforge.net/support/tracker.php?aid=3503373

  - Second plugin location in <home>/plugins
  http://sourceforge.net/support/tracker.php?aid=3428485

  Other enhancements:

  - Add explanatory messages to windows as hints when no project is open

  - Segments containing a note can be marked with View > 
Mark Segments with Notes. This marking has priority over Mark Translated
and Mark Untranslated.

  - Display of the corresponding colours in the View menu for "Mark" 
menu entries

  Bug fixes:

  - In the PO filter, "path" was always displayed in the Comment pane, 
even if it was empty

  - When using Insert Source Tags, a space was added before the first one

  Localisation updates:

  - Simplified Chinese localisation updated to 2.5.0 (UI, readme, documentation)
  - Italian localisation updated to 2.5.1 (UI)
  - Dutch localisation updated to 2.5.1 (UI)
  - Japanese localisation updated to 2.5.1 (UI)
  - Slovenian localisation updated to 2.5.2 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.1 update 1
----------------------------------------------------------------------
   2 Enhancements
   2 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.5.1 update 1 vs. 2.5.1 

  Implemented requests:

  - Console: more context on error message "Failed to load..."
  http://sourceforge.net/support/tracker.php?aid=3465220

  - Navigate to next/previous segment with a note
  http://sourceforge.net/support/tracker.php?aid=3484729

  Bug fixes:

  - Remove Tags can create a corrupted target document
  http://sourceforge.net/support/tracker.php?aid=3487497

  - After "save" the cursor goes to the head of the segment
  http://sourceforge.net/support/tracker.php?aid=1643198

----------------------------------------------------------------------
 OmegaT 2.5.1
----------------------------------------------------------------------
  10 Enhancements
   1 Bug fix
   2 Localisation updates
----------------------------------------------------------------------
2.5.1 vs. 2.5.0 update 5

  Implemented requests:

  - Validate tags in console mode
  http://sourceforge.net/support/tracker.php?aid=3426212

  - Add patterns for text that should be removed and validate
  http://sourceforge.net/support/tracker.php?aid=3477099

  - User-defined tags
  http://sourceforge.net/support/tracker.php?aid=1599334

  - Validate Java MessageFormat pattern tags ({0} etc.)
  http://sourceforge.net/support/tracker.php?aid=3477045

  - Render tags in different color in editor
  http://sourceforge.net/support/tracker.php?aid=2120329

  - Add "date" & "time" to translated file name pattern
  http://sourceforge.net/support/tracker.php?aid=3346155

  - targetLocale for use with DotNetNuke ResX
  http://sourceforge.net/support/tracker.php?aid=3330974

  - Remove all tags
  http://sourceforge.net/support/tracker.php?aid=3481683

  - Create /tm/auto folder in new project
  http://sourceforge.net/support/tracker.php?aid=3368416

  Other enhancements:

  - Insert Source Tags inserts all relevant tags (custom, java, printf), 
not only OmegaT-tags
  
  Bug fixes:

  - Camtasia filter: <Line> is incorrectly added as src segment
  http://sourceforge.net/support/tracker.php?aid=3481602

  Localisation updates:

  - Dutch localisation updated to 2.5.0 update 5 (UI, readme, documentation)
  - Italian localisation updated to 2.5.0 update 5 (UI, Instant Start, readme)

----------------------------------------------------------------------
 OmegaT 2.5.0 update 5
----------------------------------------------------------------------
   9 Enhancements
   5 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.5.0 update 5 vs. 2.5.0 update 4

  Implemented requests:

  - Filter for Camtasia Studio for Windows
  http://sourceforge.net/support/tracker.php?aid=3457285

  - TBX entry/concept level note
  http://sourceforge.net/support/tracker.php?aid=3454401

  - Load comment from TBX even without target language
  http://sourceforge.net/support/tracker.php?aid=3472408

  Other enhancements:

  - Magento CE locale CVS file filter

  - The key is now displayed in the comment pane for all ID-based filters:
Android Resources
Java Resource Bundles
Key=Value Files
Mozilla DTD
ResX
SubRip Subtitles
Windows Resource
WiX

  - Use a larger default size for the statistics dialog (800x400 instead of
400x300)

  - When reading external TMXs, the <hi> tag is skipped, as it cannot correspond
to a tag of a source document

  - The "out of memory" message now refers to the manual

  - Instead of using Java's default memory allocation, the Windows and Linux 
startup scripts now use 512 MB

  Bug fixes:

  - GPL license has an outdated FSF address
  http://sourceforge.net/support/tracker.php?aid=3440748

  - Android filter: non-translatable text was not ignored

  - Log messages on TMX loading were missing

  - In the HHC filter, the comment pane contained Tag: PARAM Attribute: value
for all segments

  - For external TMXs, the parameter "Use XML for standalone tags" was not 
working for all tags

  Localisation updates:

  - Dutch localisation updated to 2.5.0 update 3 (UI, readme, documentation)
  - Italian localisation updated to 2.5.0 update 3 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.0 update 4
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.5.0 update 4 vs. 2.5.0 update 3

  Bug fixes:
  
  - Entering empty translations wasn't working

----------------------------------------------------------------------
 OmegaT 2.5.0 update 3
----------------------------------------------------------------------
   8 Enhancements
   3 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.5.0 update 3 vs. 2.5.0 update 2

  Implemented requests:

  - TMX: match other languages if no project target language
  http://sourceforge.net/support/tracker.php?aid=2700699
  
  - HTML filter: translate label attribute of OPTION/OPTGROUP/MENU tag
  http://sourceforge.net/support/tracker.php?aid=3436499

  Make the location of spelling dictionaries configurable
  http://sourceforge.net/support/tracker.php?aid=3434091

  Other enhancements:

  - Empty translations are now allowed. They are displayed as <EMPTY>
in the Editor. To create one, right-click in a segment, and select
"Set empty translation". The same popup menu also allows to Delete an
existing translation. It has the same effect as emptying the target 
segment, and then pressing Enter.

  - Five scripts from the Scripting plugin can now be displayed and 
launched directly under the Scripting menu entry. Requires version
0.3-2.5.0_03 of the scripting plugin.

  - Better error reporting for Google translation

  - It is now possible to create glossary plugins

  - Key=value filter: the key is displayed in the comment pane

  Bug fixes:

  - Translations from non-target-language are not loaded
  http://sourceforge.net/support/tracker.php?aid=3414344

  - Fuzzy match were inserted even if the segment was already translated

  - Entering an empty target segment was creating an empty translation
instead of removing the translation

  Localisation updates:

  - Italian localisation updated to 2.5.0 update 2 (UI, readme)

----------------------------------------------------------------------
 OmegaT 2.5.0 update 2
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.5.0 update 2 vs. 2.5.0 update 1

  Bug fixes:

  - The "level1" export TMX contained OmegaT tags instead of containing
no tags at all

  - ResX filter no longer working since revision 3508
  http://sourceforge.net/support/tracker.php?aid=3430364

----------------------------------------------------------------------
 OmegaT 2.5.0 update 1
----------------------------------------------------------------------
   1 Enhancement
   4 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.5.0 update 1 vs. 2.5.0 

  Other enhancements:

  - Hunspell updated to 1.3.2, and available for 32 and 64-bit Linux, Mac and 
Windows

  Bug fixes:

  - Null pointer exception in a project without <dictionary_dir>
  http://sourceforge.net/support/tracker.php?aid=3414549

  - Wrong handling of the Enter key in the comment field of a 
glossary entry

  - Strange behaviour of the Editor for segments with empty 
translations in TMX

  - Search function doesn't work when searching files
  http://sourceforge.net/support/tracker.php?aid=3419536

  Localisation updates:

  - Dutch localisation updated to 2.5.0 (UI)
  - Italian localisation updated to 2.5.0 (UI, Instant Start, readme)

----------------------------------------------------------------------
 OmegaT 2.5.0
----------------------------------------------------------------------
   8 Enhancements
   0 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.5.0 vs. 2.3.0 update 2

  Implemented requests:

  - Multiple translation support
  http://sourceforge.net/support/tracker.php?aid=1922026

  - Run scripts in OmegaT
  http://sourceforge.net/support/tracker.php?aid=3382006
  
  - View/edit notes on translation units (restore main window to see notes pane)
  http://sourceforge.net/support/tracker.php?aid=3404301
  
  - View comments in source files (restore main window to see comments pane)
  http://sourceforge.net/support/tracker.php?aid=3406286
  
  - Project-specific file filters
  http://sourceforge.net/support/tracker.php?aid=3404303
  
  - Project-specific segmentation rules
  http://sourceforge.net/support/tracker.php?aid=3405056

  - "Loader" plugin type to load additional GUI components
  http://sourceforge.net/support/tracker.php?aid=3393897

  Other enhancements:

  - Changes in /tm are detected automatically every second. The
modified TMX are reloaded in memory transparently, without having to
reload the project. (To apply automatic translation from the auto folder,
reloading the project is still necessary.)

  - Wordfast TXML filter. Only target segments are read, so it
it is mostly useful for files where source = target.

  - The timestamp of the 10 backup files is now the time of the last 
save of project_save.tmx, instead of the time when the backup occurs. 
A new backup (project_save.tmx.bak) is also done each time the project
is saved.

  Localisation updates:

  - Dutch localisation updated to 2.5 (UI)

----------------------------------------------------------------------
 OmegaT 2.3.0 update 8
----------------------------------------------------------------------
   1 Enhancement
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.3.0 update 8 vs. 2.3.0 update 7

  Implemented requests:

  - Recognize single quotes in ENTITY of DTD file filter
  http://sourceforge.net/support/tracker.php?aid=3520305

----------------------------------------------------------------------
 OmegaT 2.3.0 update 7
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   2 Localisation updates
----------------------------------------------------------------------
2.3.0 update 7 vs. 2.3.0 update 6

  Implemented requests:

  - Segmentation rules for Italian
  http://sourceforge.net/support/tracker.php?aid=3497206

  Bug fixes:

  - Yiddish (language code "YI" or "JI") was not declared as a right 
to left language

  - Simplified Chinese localisation updated to 2.3 (backported from 2.5.0) (documentation)
  - Japanese localisation updated to 2.3 (UI)

----------------------------------------------------------------------
 OmegaT 2.3.0 update 6
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.3.0 update 6 vs. 2.3.0 update 5

  Bug fixes:

  - Non working remote dictionary location
  http://sourceforge.net/support/tracker.php?aid=3476639

----------------------------------------------------------------------
 OmegaT 2.3.0 update 5
----------------------------------------------------------------------
   1 Enhancement
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.3.0 update 5 vs. 2.3.0 update 4

  Other enhancements:

  - Change of the Google Translate API from GET to POST, to allow
sending 5000 instead of 2000 characters requests

----------------------------------------------------------------------
 OmegaT 2.3.0 update 4
----------------------------------------------------------------------
   1 Enhancement
   4 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.3.0 update 4 vs. 2.3.0 update 3

  Other enhancements:

  - As the Google Translate API v1 has been shutt off (see 
http://code.google.com/apis/language/translate/v1/getting_started.html), 
the corresponding menu entry has been removed

  Bug fixes:

  - Java 7 compilation encoding errors
  http://sourceforge.net/support/tracker.php?aid=3440901

  - When several dictionaries were used, words written in uppercase in 
the dictionaries could fail to be recognised

  - NetBSD and DragonFly not recognized as UNIX
  http://sourceforge.net/support/tracker.php?aid=3451034

  - Some Open XML files could not be loaded, because they used
backslashes instead of slashes in the zip container

  Localisation updates:  
  - Slovenian localisation updated to 2.3 (UI)
  - Dutch localisation updated to 2.3 (backported from 2.5.0 update 3) (documentation)

----------------------------------------------------------------------
 OmegaT 2.3.0 update 3
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.3.0 update 3 vs. 2.3.0 update 2

  Implemented requests:

  - Google Translate API v2
  http://sourceforge.net/support/tracker.php?aid=3426058

  Bug fixes:

  - Open XML filter: <rPh> tags (phonetic pronunciation) were not 
hidden in OmegaT

----------------------------------------------------------------------
 OmegaT 2.3.0 update 2
----------------------------------------------------------------------
   1 Enhancement
   2 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.3.0 update 2 vs. 2.3.0 update 1

  Other enhancements:

  - Apertium: remove '*' before unknown words and do not translate
tags
  
  Bug fixes:

  - Pipe-sign | missing from fields when copy-pasting
  http://sourceforge.net/support/tracker.php?aid=3395795

  - Parse exception in the LaTeX filter

  Localisation updates:  
  - Spanish localisation updated to 2.3 (UI, documentation, readme)

----------------------------------------------------------------------
 OmegaT 2.3.0 update 1
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   3 Localisation updates
----------------------------------------------------------------------
2.3.0 update 1 vs. 2.3.0

  Bug fixes:

  - Mozilla DTD handler is skipping segments
  http://sourceforge.net/support/tracker.php?aid=3369466

  Localisation updates:

  - Dutch localisation updated to 2.3, backported from 2.5 (UI)
  - Hungarian localisation updated to 2.3 (UI, Instant Start)
  - Italian localisation updated to 2.3 (UI, Instant Start, readme)

----------------------------------------------------------------------
 OmegaT 2.3.0
 ----------------------------------------------------------------------
  10 Enhancements
   6 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.3.0 vs. 2.2.3 update 4

  Implemented requests:

  - Allow blank translations in PO files
  http://sourceforge.net/support/tracker.php?aid=2974663

  - TransTips to consider letter case
  http://sourceforge.net/support/tracker.php?aid=3027339

  - Ability to translate WordArt in MS Office files
  http://sourceforge.net/support/tracker.php?aid=3311077

  - Add .xliff extension to the XLIFF filter
  http://sourceforge.net/support/tracker.php?aid=3339675

  - Enable no prefix for fuzzy matches
  http://sourceforge.net/support/tracker.php?aid=1616157

  Other enhancements:

  - In the MS Open XML filter, a new option allows to preserve white space
(e.g., spaces and newlines) in all tags, even if it is not set technically
in the document. As it corresponds to the most usual situation (e.g.,
preserving spaces in Excel tags), the option is on by default.

  - New version of the JNA library (used to launch Hunspell), compatible
with Windows 64-bit

  - New Iceni Infix file filter

  - Partial support for StarDict dictionaries with sametypesequence=h

  - New Flash XML export file filter

  Bug fixes:

  - PO filter mangles \\r strings
  http://sourceforge.net/support/tracker.php?aid=3292553

  - Wrong TransTip when target term contains comma
  http://sourceforge.net/support/tracker.php?aid=2970681

  - LaTeX filter: comments are removed from target documents
  http://sourceforge.net/support/tracker.php?aid=3297471

  - Overeager numbered header segmentation rule
  http://sourceforge.net/support/tracker.php?aid=3308282

  - PO filter: when a segment had trailing spaces, it was not visible for
translation in OmegaT

  - XLIFF filter: in some cases, some extra tags could appear

  Localisation updates:

  - Brazilian Portuguese localisation updated to 2.2.3 update 2 (UI, documentation)
  - Dutch localisation updated to 2.2.4 (UI)

----------------------------------------------------------------------
 OmegaT 2.2.3 update 4
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.2.3 update 4 vs. 2.2.3 update 3

  Bug fixes:

  - HTML filter: PHP tags are transformed into HTML entities
  http://sourceforge.net/support/tracker.php?aid=3175744

  - For three languages, the internal locale was corresponding to an
obsolete locale, which meant the spell checker wasn't finding the correct
dictionary. The affected locales were "id", which was changed to "in",
"he", changed to "iw" and "yi" changed to "ji".

----------------------------------------------------------------------
 OmegaT 2.2.3 update 3
----------------------------------------------------------------------
   0 Enhancement
   4 Bug fixes
   3 Localisation updates
----------------------------------------------------------------------
2.2.3 update 3 vs. 2.2.3 update 2

  Bug fixes:

  - Android filter: the apostrophe (') character was not escaped properly
with a preceding \

  - XLIFF filter: untranslatable text (translate="no") appeared in the Editor

  - ResX filter: some untranslatable text appeared in the Editor

  - XML: preserve spaces
  http://sourceforge.net/support/tracker.php?aid=1650342

  Localisation updates:

  - Italian localisation updated to 2.2.3 update 2 (UI, documentation)
  - Czech localisation updated to 2.2.3 update 2 (UI, documentation, readme)
  - Brazilian Portuguese localisation updated to 2.2.3 update 2 (UI, Instant Start, readme)

----------------------------------------------------------------------
 OmegaT 2.2.3 update 2
----------------------------------------------------------------------
   2 Enhancements
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.2.3 update 2 vs. 2.2.3 update 1

  Implemented requests:

  - Do not show "space" in empty segments
  http://sourceforge.net/support/tracker.php?aid=2169106

  Other enhancements:

  - Remove start of segment marker, and move segment number at the end of
segment

  - Give a specific title to the file chooser dialog in the Spellchecker
dialog (it was just "Open")

  Bug fixes:

  - In the File Filter options, one of the filename configuration
variable was wrongly spelt: ${targetCoutryCode} instead of
${targetCountryCode}. Configurations with the old variable name will
still work.

  Localisation updates:

  - Dutch localisation updated to 2.2.3 (UI)

----------------------------------------------------------------------
 OmegaT 2.2.3 update 1
----------------------------------------------------------------------
   3 Enhancements
   5 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.2.3 update 1 vs. 2.2.3

  Implemented requests:

  - Translatable sheet names for Calc documents
  http://sourceforge.net/support/tracker.php?aid=2804745

  Other enhancements:

  - Windows installer: changes.txt can be read immediately after the
installation

  - Create the "plugins" folder during installation

  Bug fixes:

  - HTML cryptic error message "StringIndexOutOfBoundsException"
  http://sourceforge.net/support/tracker.php?aid=1653822

  - On a Mac having both Java 1.5 and 1.6, the Okapi file filter plugin
prevented OmegaT to run

  - Windows installer overwrites existing OmegaT.I4J.ini
  http://sourceforge.net/support/tracker.php?aid=3152734

  - In the Spell Checking options, the uninstall button was selected
(pressed) instead of being unabled when the list of dictionaries is
empty

  - XHTML and OpenOffice.org filters: unchecking an option (e.g.,
Translate href, Translate comments) only took effect after quitting
and restarting OmegaT

  Localisation updates:

  - Hungarian localisation updated to 2.2.3 (UI, documentation, readme)

----------------------------------------------------------------------
 OmegaT 2.2.3
----------------------------------------------------------------------
   4 Enhancements
   1 Bug fix
   5 Localisation updates
----------------------------------------------------------------------
2.2.3 vs. 2.2.2 update 1


  Implemented requests:

  - Accept script in language code for documents
  http://sourceforge.net/support/tracker.php?aid=3139010

  - Add a TTX filter
  http://sourceforge.net/support/tracker.php?aid=1851513

  - Proxy authentication for machine translation
  http://sourceforge.net/support/tracker.php?aid=3132893

  Other enhancements:

  - Typo3 l10nmgr File Filter

  Bug fixes:

  - When a paragraph-based TMX was resegmented to sequence mode, the
source language rules were used to segment the target paragraph

  Localisation updates:

  - Belarusian localisation updated to 2.2.1 update 1 (UI)
  - Italian localisation updated to 2.2.2 update 1 (UI)
  - Catalan localisation updated to 2.2.2 update 1 (UI, Readme, documentation)
  - Dutch localisation updated to 2.2.2 (UI, documentation)
  - Japanese localisation updated to 2.2.3 (UI)

----------------------------------------------------------------------
 OmegaT 2.2.2 update 1
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.2.2 update 1 vs. 2.2.2

  Bug fix:

  - XML entities in non translatable attributes were not converted back
to XML entities in the target document

----------------------------------------------------------------------
 OmegaT 2.2.2
----------------------------------------------------------------------
   2 Enhancements
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.2.2 vs. 2.2.1

  Implemented requests:

  - Glossary term creation interface
  http://sourceforge.net/support/tracker.php?aid=3054189

  - Partial support for StarDict dictionaries with sametypesequence=x

  Localisation updates:

  - Japanese localisation updated to 2.2.2 (UI)
  - Italian localisation updated to 2.2.1 (UI, documentation)
  - Dutch localisation updated to 2.2.1 (UI)

  Bug fixes:

  - Some content ignored in DTD files
    http://sourceforge.net/support/tracker.php?aid=3088802

----------------------------------------------------------------------
 OmegaT 2.2.1 update 1
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.2.1 update 1 vs. 2.2.1

  Localisation updates:

  - Japanese localisation updated to 2.2.1 (UI)

  Bug fixes:

  - When "Options > Display all source segments in bold" was checked
untranslated segments appeared in bold if "View > Display Source Segments"
wasn't checked. In addition, when both "View > Display Source Segments" and
"View > Mark Untranslated Segments" were checked, the untranslated segments
didn't appear in bold.

----------------------------------------------------------------------
 OmegaT 2.2.1
----------------------------------------------------------------------
   4 Enhancements
   3 Bug fixes
   5 Localisation updates
----------------------------------------------------------------------
2.2.1 vs. 2.2.0 update 4

  Implemented requests:

  - Visual identification of non-unique segments
  http://sourceforge.net/support/tracker.php?aid=1869046

  - Priority to Mark untranslated segments over Display source
  http://sourceforge.net/support/tracker.php?aid=1811562

  Other enhancements:

  - The Open XML Word option "Hidden Text" as been renamed to
"Non-visible Instruction Text" to avoid confusion with the "Hidden effect"
or "Hidden attribute" in Word.

  - When Display Source Segments is used, a new option (Options > View)
allows to set whether all source segments are bold (as previously), or
only the current one.

  Localisation updates:

  - Italian localisation updated to 2.2.0 (UI, Readme, documentation)
  - Basque localisation updated to 2.2.0 (UI, Readme, documentation)
  - Dutch localisation updated to 2.2.0 (UI, Readme, documentation)
  - Japanese localisation updated to 2.2.0 (UI)
  - Belarusian localisation updated to 2.1.0 (UI)

  Bug fixes:

  - ResX filter: comments appeared as translatable text.

  - HTML (including the HTML Help Compiler Filter) and XML filters:
When translating attributes, forbidden characters (e.g., '&', '<') were not
converted back to entities in the target documents.

  - XML filters: entities from attributes were not converted to
characters.

----------------------------------------------------------------------
 OmegaT 2.2.0 update 4
----------------------------------------------------------------------
   1 Enhancement
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.2.0 update 4 vs. 2.2.0 update 3

  Other enhancements:

  - The options of the Open XML filter have been reorganised because
some options (e.g., Diagrams) apply to all the documents.

  Localisation updates:

  - Russian localisation updated to 2.2.0 (UI, Instant Start, Readme)
  - Swedish localisation updated to 2.2.0 (UI, Instant Start, Readme)

  Bug fixes:

  - OpenXML Excel: some parts are not available for translation
    http://sourceforge.net/support/tracker.php?aid=2885433

  - Open XML filter: The comments in Excel sheets didn't appear for
translation

----------------------------------------------------------------------
 OmegaT 2.2.0 update 3
----------------------------------------------------------------------
   3 Enhancements
   0 Bug fix
   2 Localisation update
----------------------------------------------------------------------
2.2.0 update 3 vs. 2.2.0 update 2

  Implemented requests:

  - Remove extra spaces added around tags by Google Translate
  http://sourceforge.net/support/tracker.php?aid=2956989

  Other enhancements:

  - Hunspell updated to 1.2.12

  - The "HTML and XHTML files segmentation" segmentation rule has been renamed
to "HTML, XHTML and ODF segmentation"

  Localisation updates:

  - Polish localisation updated to 2.1.3 (UI, Instant Start, Readme, documentation)
  - Brazilian Portuguese localisation updated to 2.2.0 (UI, Instant Start, Readme)

----------------------------------------------------------------------
 OmegaT 2.2.0 update 2
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.2.0 update 2 vs. 2.2.0 update 1

  Bug fixes:

  - HTML filter: Entities from attributes were not converted to
characters. This applied also to the HTML Help Compiler Filter.

  - MT using Google fails to give results in Traditional Chinese
  http://sourceforge.net/support/tracker.php?aid=3086757

  Localisation updates:

  - Italian localisation updated to 2.2.0 update 1 (UI, Instant Start, Readme, documentation)

----------------------------------------------------------------------
 OmegaT 2.2.0 update 1
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   3 Localisation updates
----------------------------------------------------------------------
2.2.0 update 1 vs. 2.2.0

  Implemented requests:

  - Make the number of search results a parameter
  http://sourceforge.net/support/tracker.php?aid=3084009

  Bug fixes:

  - XML, wrong handling of comments and PI in translatable text
  http://sourceforge.net/support/tracker.php?aid=1662205

  Localisation updates:

  - Galician localisation updated to 2.1.9 (UI, Instant Start, Readme)
  - Italian localisation updated to 2.2.0 (UI, Instant Start, Readme)
  - Japanese localisation updated to 2.2.0 (UI, Instant Start, Readme, 2.0.5 documentation)

----------------------------------------------------------------------
 OmegaT 2.2.0
----------------------------------------------------------------------
   1 Enhancement
   3 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.2.0 vs. 2.1.9

  Implemented requests:

  - Create OmegaT tags for external TMX files
  http://sourceforge.net/support/tracker.php?aid=2891712

  Bug fixes:

  - With some fonts, "squares" were displayed in the Editor around
segment markers

  - When the files in /source were changed, it was sometime not possible
to reload the project

  - When a search filter was used (e.g., "Display all results" unchecked,
Author), the number of search results returned was limited to the number
of unfiltered results

----------------------------------------------------------------------
 OmegaT 2.1.9
----------------------------------------------------------------------
   0 Enhancement
   4 Bug fixes
   3 Localisation updates
----------------------------------------------------------------------
2.1.9 vs. 2.1.8 update 1

  Bug fixes:

  - Still some corrections about the highlight of the search results

  - Rc filter: Correction on the handling of comments and includes

  - HTML entities containing numbers are not recognized
  http://sourceforge.net/support/tracker.php?aid=3060805

  - Very slow editor with Java 1.6 on a Mac
  http://sourceforge.net/support/tracker.php?aid=3070076

  Localisation updates:

  - Swedish localisation updated to 2.1.8 (UI, Readme)
  - Italian localisation updated to 2.1.8 (UI, Readme, Instant Start)
  - Dutch localisation updated to 2.1.8 (UI, Readme, Instant Start, documentation)

----------------------------------------------------------------------
 OmegaT 2.1.8 update 1
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.1.8 update 1 vs. 2.1.8

  Other enhancements:

  - SVG image filter

  Bug fixes:

  - Some advanced search parameters were not working properly

----------------------------------------------------------------------
 OmegaT 2.1.8
----------------------------------------------------------------------
   1 Enhancement
   0 Bug fix
   2 Localisation updates
----------------------------------------------------------------------
2.1.8 vs. 2.1.7 update 3

  Implemented requests:

  - Aggregate OpenXML tags
  http://sourceforge.net/support/tracker.php?aid=3036227

  Localisation updates:

  - Italian localisation updated to 2.1.7 (UI, Readme, Instant Start)
  - Spanish localisation updated to 2.1.7 (UI, Readme, Instant Start, documentation)

----------------------------------------------------------------------
 OmegaT 2.1.7 update 3
----------------------------------------------------------------------
   2 Enhancements
   5 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.7 update 3 vs. 2.1.7 update 2

  Implemented requests:

  - Extended project statistics
  http://sourceforge.net/support/tracker.php?aid=2988953

  Other enhancements:

  - OpenXML filter: new options to translate diagrams (Word) and
charts (PowerPoint)

  Bug fixes:

  - In some circumstances, the search results could be all highlighted.
The issue was not totally corrected in update 2

  - Superfluous debug message (visible in the console and in the log),
e.g., 15082: Info: DEBUG: class=java.lang.Integer val=24, has been removed

  - OpenXML filter: for some Word shapes, the text presented to the
translator was not the text visible in Word 2007/2010, but only the "fallback"
text for backward compatibility. As a result, the text appeared untranslated
in the target document. Now both text are presented to the
translator.

  - Some TBX glossaries were not read (e.g., Microsoft glossaries)

  - Webstart jnidispatch error on Windows 64-bit
  http://sourceforge.net/support/tracker.php?aid=3024102

----------------------------------------------------------------------
 OmegaT 2.1.7 update 2
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.1.7 update 2 vs. 2.1.7 update 1

  Other enhancements:

  - When a project is empty, the message mentions the documentation
on supported file formats

  Bug fixes:

  - In some circumstances, the search results could be all highlighted

  Localisation updates

  - Japanese localisation updated to 2.1.x (UI, Readme, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.1.7 update 1
----------------------------------------------------------------------
   1 Enhancement
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.1.7 update 1 vs. 2.1.7

  Implemented requests:

  - Highlight search results
  http://sourceforge.net/support/tracker.php?aid=2956986

  Bug fixes:

  - Some search options widgets do not set focus to Search field
  http://sourceforge.net/support/tracker.php?aid=3013796

  - Search window - search items containing $ behave strangely
  http://sourceforge.net/support/tracker.php?aid=3021915

  Localisation updates:

  - Danish localisation updated to 2.1.x (UI, Readme, Instant Start)
  - Czech localisation updated to 2.1.x (UI, Readme, Instant Start, documentation)

----------------------------------------------------------------------
 OmegaT 2.1.7
----------------------------------------------------------------------
   6 Enhancements
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.1.7 vs. 2.1.6

  Implemented requests:

  - Sort Project Files according to locale
  http://sourceforge.net/support/tracker.php?aid=3002616

  - Remember advanced search settings
  http://sourceforge.net/support/tracker.php?aid=2997454

  - Add source/target selection to the search window
  http://sourceforge.net/support/tracker.php?aid=2860161

  Other enhancements:

  - OpenXML filter: option to translate slide layouts in PowerPoint presentations

  - OpenOffice.org filter: option to translate links (URL)

  - Various enhancements in the manual

  Bug fixes:

  - Project Files list not sorted on some systems
  http://sourceforge.net/support/tracker.php?aid=3000377

  - Cursor jumps to end of selection during Shift+left
  http://sourceforge.net/support/tracker.php?aid=3006297

  Localisation updates:

  - Catalan localisation updated to 2.1.4 (UI, Readme, Instant Start, documentation)
  - Hungarian localisation updated to 2.1.x (UI, Readme, Instant Start, documentation)

----------------------------------------------------------------------
 OmegaT 2.1.6
----------------------------------------------------------------------
   2 Enhancements
   2 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.6 vs. 2.1.5 update 1

  Implemented requests:

  - Apertium machine translation
  http://sourceforge.net/support/tracker.php?aid=2999892

  Other enhancements:

  - DokuWiki file filter

  Bug fixes:

  - Calling the Project Files window (Ctrl+L) could generate an error
in some circumstances

  - Some files were not closed when translating in console mode

----------------------------------------------------------------------
 OmegaT 2.1.5 update 1
----------------------------------------------------------------------
   1 Enhancement
   2 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.5 update 1 vs. 2.1.5

  Implemented requests:

  - Memorize search settings after each search
  http://sourceforge.net/support/tracker.php?aid=1605843

  Bug fixes:

  - Go To/Segment Number goes to wrong segment
  http://sourceforge.net/support/tracker.php?aid=2990761

  - User-defined font wasn't used when first opening the Search window

----------------------------------------------------------------------
 OmegaT 2.1.5
----------------------------------------------------------------------
   3 Enhancements
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.1.5 vs. 2.1.4 update 1

  Implemented requests:

  - Load TMXs from nested folders
  http://sourceforge.net/support/tracker.php?aid=2986574

  - Insert exact matches from TMXs in the auto folder
  http://sourceforge.net/support/tracker.php?aid=2131989

  Other enhancements:

  - Filter search results in the Editor
For explanations, see Searches in the English documentation

  Bug fixes:

  - Insert Source Tags miss tags when source text contains <
  http://sourceforge.net/support/tracker.php?aid=2987164

----------------------------------------------------------------------
 OmegaT 2.1.4 update 1
----------------------------------------------------------------------
   6 Enhancements
   6 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.4 update 1 vs. 2.1.4

  Implemented requests:

  - SRT filter: read time group into a single segment
  http://sourceforge.net/support/tracker.php?aid=2980046

  - Spell checker dialog improvements
  http://sourceforge.net/support/tracker.php?aid=2980991

  - TBX: recognize <descrip> elements
  http://sourceforge.net/support/tracker.php?aid=2978608

  - TBX: display termNotes only for target language
  http://sourceforge.net/support/tracker.php?aid=2978610

  Other enhancements:

   - Log file switched to UTF-8. It was previously in system encoding.

   - It is possible to specify a target tokenizer with --ITokenizerTarget.
If it is not specified, the source tokenizer will be used.

  Bug fixes:

  - No filters available when locale is tr
  http://sourceforge.net/support/tracker.php?aid=2976351

  - Exception when project was reloaded after some project properties
changes

  - Specific segmentation processing was not working when CJK language
codes were entered in lowercase

  - TBX terms with country code (e.g., de-AT) were ignored

  - Only one translation is kept in TBX glossaries
  http://sourceforge.net/support/tracker.php?aid=2978575

  - Japanese stemmer interferes with French spellchecker
  http://sourceforge.net/support/tracker.php?aid=2946389

----------------------------------------------------------------------
 OmegaT 2.1.4
----------------------------------------------------------------------
   7 Enhancements
   4 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.4 vs. 2.1.3

  Implemented requests:

   - TBX glossary format
  http://sourceforge.net/support/tracker.php?aid=1756560

  - Make order of TUs stable in project_save.tmx
  http://sourceforge.net/support/tracker.php?aid=2948323

  - Add .txt extension as tab-separated glossary in UTF-8
  http://sourceforge.net/support/tracker.php?aid=2942348

  - Add LanguageTool support
  http://sourceforge.net/support/tracker.php?aid=2950346
(Requires LangageTool plugin from
http://sourceforge.net/projects/omegat-plugins)

   Other enhancements:

   - File filter for WiX localisation files (.wxl)

   - sdlxliff added to the default list of XLIFF extensions

   - <a:tableStyleId> is hidden in the OpenXML filter

  Bug fixes:

  - Project Files window doesn't remember its position
  http://sourceforge.net/support/tracker.php?aid=2893165

  - Windows only: OS allowed to rename a project directory while in use
  http://sourceforge.net/support/tracker.php?aid=1956239

  - OpenXML options enabled only after restarting OmegaT
  http://sourceforge.net/support/tracker.php?aid=2959514

  - Windows RC filter: some files (in "Pascal notation") were not
recognised

----------------------------------------------------------------------
 OmegaT 2.1.3
----------------------------------------------------------------------
   6 Enhancements
   4 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.3 vs. 2.1.2

  Implemented requests:

   - CSV glossary format
  http://sourceforge.net/support/tracker.php?aid=2952761

   - File filter for DTD and Mozilla .properties files
  http://sourceforge.net/support/tracker.php?aid=1848169

  Other enhancements:

  - Windows Resources (RC) file filter

  - Add support for multiple translation engines

  - POST method is used for Google Translate, to allow longer segments
(still limited at 5000 characters)

  - Add support for Belazar (http://belsoft.tut.by/belazar/)

  Bug fixes:

  - Help & Manual: Some translatable text was not available

  - TransTip doesn't highlight words in uppercase
  http://sourceforge.net/support/tracker.php?aid=2953462

  - Line spacing wasn't always fixed in the Editor

  - Missings paragraphs after an out of turn tag
  http://sourceforge.net/support/tracker.php?aid=2954272

----------------------------------------------------------------------
 OmegaT 2.1.2
----------------------------------------------------------------------
  13 Enhancements
   4 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.1.2 vs. 2.1.1

  Implemented requests:

   - Selection of files to translate in console mode
  http://sourceforge.net/support/tracker.php?aid=2890282

  - Allow translating or not presentation notes in Impress
  http://sourceforge.net/support/tracker.php?aid=2926510

  - Insert Source Tags
  http://sourceforge.net/support/tracker.php?aid=2873562

  - Glossary match identification
  http://sourceforge.net/support/tracker.php?aid=2921520

  - TransTips for glossary items
  http://sourceforge.net/support/tracker.php?aid=2935633

  Other enhancements:

  - The About dialog displays memory usage

  - When there are several 100% matches, and one of them is a real
exact match, it is ordered first

  - Spaces around segments are better preserved in the HTML filter

  - Support for Lingvo DSL dictionaries

  - It is now possible to search for Author (changeid) and date of change
(changedate)

  - It is possible to select to display no change information, only for the
current segment, or for all the (translated) segments

  - Cut, Copy, Paste popup menu in the Editor. It performs the same functions as
Ctrl+X, Ctrl+C and Ctrl+V.

  - Display the tokenizer used on startup in the console

  Bug fixes:

  - When the project was reloaded after pressing OK in Project Properties,
the current segment was moved to the next one. If "Copy source text" was
set in Editing Behaviour, the previous segment was entered as translation.

  - OmT loses msgctxt content in PO files
  http://sourceforge.net/support/tracker.php?aid=2920637

  - Same accelerator for "Tab", "Team" and "Tag Validation"
  http://sourceforge.net/support/tracker.php?aid=2929351

  - In search: '?' would find 0 or 1 character, while search instructions
clearly state that it should find 1 character, which is now the case

  Localisation updates:

  - Catalan localisation updated to 2.1.1 (UI, Readme, Instant Start, documentation)
  - New Swedish localisation (2.1.0) (UI, Readme, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.1.1
----------------------------------------------------------------------
   8 Enhancements
   6 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.1 vs. 2.1.0

  Implemented requests:

   - [stopwords] (simplify segments for matching purposes)
  http://sourceforge.net/support/tracker.php?aid=1599201
 (Requires version 0.4-2.1 of the tokenizers for English)

   - Dated TUs in TM
  http://sourceforge.net/support/tracker.php?aid=1546824

  - Automatic bundle aligner in console mode
  http://sourceforge.net/support/tracker.php?aid=2911321

  Other enhancements:

  - Typo3 LocManager File Filter

  - Help & Manual File Filter

  - Use tokenizers as plugins
  (Requires version x.x-2.1 of the tokenizers)

  - Text selected in the Glossary pane can be inserted with a right click

  - New options to enable checking localisation variables
  (see http://sourceforge.net/support/tracker.php?aid=2890624)

  Bug Fixes:

  - Number of unique segments always 0 in standard statistics
  http://sourceforge.net/support/tracker.php?aid=2879866

  - Non-tag is marked as tag error
  http://sourceforge.net/support/tracker.php?aid=2890624

  - When there were fuzzy matches for a given segment, it wasn't counted
as a repetition in Match Statistics

  - Wrong spell checker display if word split to several lines

  - PO filter doubles up end-of-line spaces and newlines
  http://sourceforge.net/support/tracker.php?aid=2910616

  - PO with multiline msgctxt fails to load in OmT
  http://sourceforge.net/support/tracker.php?aid=2912080

----------------------------------------------------------------------
 OmegaT 2.1.0
----------------------------------------------------------------------
   2 Enhancements
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.1.0 vs. 2.0.5

  Implemented requests:

  - Match Statistics
  http://sourceforge.net/support/tracker.php?aid=2876216

  - Display Statistics in a window
  http://sourceforge.net/support/tracker.php?aid=2876217

----------------------------------------------------------------------
 OmegaT 2.0.5 update 4
   0 Enhancement
   0 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.0.5 update 4 vs. 2.0.5 update 3

  Localisation updates:
  - New Galician localisation (UI, Readme, Instant Start)
  (backported from 2.1.4)

----------------------------------------------------------------------
 OmegaT 2.0.5 update 3
   2 Enhancements
   4 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.0.5 update 3 vs. 2.0.5 update 2

  Implemented requests:

  - Segmentation rule for header number and the header body
  http://sourceforge.net/support/tracker.php?aid=2948997

  - Define Uyghur as RTL
  http://sourceforge.net/support/tracker.php?aid=2970467

  Bug Fixes:

  - Webstart for linux amd64 doesn't work
  http://sourceforge.net/support/tracker.php?aid=2953631

  - $ Dollar sign in filenames gives error
  http://sourceforge.net/support/tracker.php?aid=2982509

  - References to Java 1.4 removed in OmegaT.l4J.ini

  - Various corrections in the manual

  Localisation updates:

  - Russian localisation updated to 2.0.5 (UI, Readme, Instant Start, documentation)
  - Simplified Chinese localisation updated to 2.0.5 (UI, Readme, Instant Start, documentation)
    (backported from 2.1.x)

----------------------------------------------------------------------
 OmegaT 2.0.5 update 2
   0 Enhancement
   0 Bug fix
   7 Localisation updates
----------------------------------------------------------------------
2.0.5 update 2 vs. 2.0.5 update 1

  Localisation updates:
  - Basque localisation updated to 2.0.5 (UI, Readme, Instant Start, documentation)
  - Welsh localisation updated to 2.0.5 (UI, Readme, Instant Start)
  - Catalan localisation updated to 2.0.5, backported from 2.1.1 (UI, Readme, Instant Start, documentation)
  - New Swedish localisation (2.0.5), backported from 2.1.0 (UI, Readme, Instant Start)
  - Czech localisation updated to 2.0.5 (UI, Readme, Instant Start, documentation)
  - Hungarian localisation updated to 2.0.5 (UI, Readme, Instant Start, documentation)
  - Dutch localisation updated to 2.0.5 (UI, Readme, Instant Start, documentation)

----------------------------------------------------------------------
 OmegaT 2.0.5 update 1
----------------------------------------------------------------------
   5 Enhancements
   6 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.0.5 update 1 vs. 2.0.5

  Implemented requests:

  - Document proxy setting
  http://sourceforge.net/support/tracker.php?aid=1878073

  Other enhancements:

  - Change pseudo-translated TMX parameter and documentation

  - Hunspell for Linux 64-bit updated to 1.2.8

  - Images are included in the minimal localisation pack

  - <wp:align> and <w:drawing> tags are hidden in the OpenXML filter

  Bug Fixes:

  - Various corrections in the manual

  - sh tutorial in English
  http://sourceforge.net/support/tracker.php?aid=1895401

  - The /gen folder was not included in the source package

  - Correct accelerators for Export Selection and Switch Case

  - The Linux "with JRE" script wasn't working when the path contained
a space

  - Spanish exception rule error
  http://sourceforge.net/support/tracker.php?aid=2939781

  Localisation updates:

  - Turkish localisation updated to 2.0.5 (UI, Readme, Instant Start)
  - Slovenian localisation updated to 2.0.5 (documentation)

----------------------------------------------------------------------
 OmegaT 2.0.5
----------------------------------------------------------------------
   2 Enhancements
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.0.5 vs. 2.0.4 update 1

  Other enhancements:

  - Revised manual

  - Generate pseudo-translated tmx
  (see documentation->translation memories->pseudo-translated memory)

----------------------------------------------------------------------
 OmegaT 2.0.4 update 1
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   2 Localisation updates
----------------------------------------------------------------------
2.0.4 update 1 vs. 2.0.4

  Implemented requests:

  - Read existing translations from source PO documents
  http://sourceforge.net/support/tracker.php?aid=2862687

  Bug Fixes:

  - PO: bad handling of already translated strings
  http://sourceforge.net/support/tracker.php?aid=1899440

  Localisation updates:

  - German localisation updated to 2.0.3 (UI, Readme, Instant Start, Documentation)
  - Japanese localisation updated to 2.0.4 (UI, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.0.4
----------------------------------------------------------------------
   3 Enhancements
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.0.4 vs. 2.0.3 update 2

  Implemented requests:

  - A new default segmentation rule for Russian
  http://sourceforge.net/support/tracker.php?aid=2835535

  - Translation of current segment with Google Translate
  http://sourceforge.net/support/tracker.php?aid=2818658

  Other enhancements:

  - Android resources filter

----------------------------------------------------------------------
 OmegaT 2.0.3 update 2
----------------------------------------------------------------------
   1 Enhancements
   2 Bug fixes
   3 Localisation updates
----------------------------------------------------------------------
2.0.3 update 2 vs. 2.0.3 update 1

  Implemented requests:

  - Provide a Java Web Start version
  http://sourceforge.net/support/tracker.php?aid=1793300

  Bug Fixes:

  - A double click on the last segment was sending to the first one
  - OmegaT was only getting the first meaning in StarDict format

  Localisation updates:

  - Belarusian localisation updated to 2.0.3 (UI)
  - Dutch localisation updated to 2.0.3 (UI, Readme, Instant Start, Documentation)
  - Catalan localisation updated to 2.0.3 (UI, Readme, Instant Start, Documentation)

----------------------------------------------------------------------
 OmegaT 2.0.3 update 1
----------------------------------------------------------------------
   0 Enhancement
   0 Bug fix
   3 Localisation updates
----------------------------------------------------------------------
2.0.3 update 1 vs. 2.0.3

  Localisation updates:

  - Japanese localisation updated to 2.0.3 (UI, Instant Start)
  - German localisation updated to 2.0.3 (UI, Instant Start, Readme)
  - Slovenian localisation updated to 2.0.3 (UI, Instant Start, Readme, documentation)

----------------------------------------------------------------------
 OmegaT 2.0.3
----------------------------------------------------------------------
   4 Enhancements
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.0.3 vs. 2.0.2 update 1

  Implemented requests:

  - StarDict dictionaries support
  http://sourceforge.net/support/tracker.php?aid=2795600

  - LaTeX filter support
  http://sourceforge.net/support/tracker.php?aid=2790332

  Other enhancements:

  - Changes in glossary are detected automatically every second. The
modified glossaries are reloaded in memory transparently, without having to
reload the project. Glossaries are also read from nested folders, not only from
the root of /glossary.

  - New index of documentations at the root of the /docs folder, identical
to the one obtained in OmegaT.

  Bug Fixes:

  - "Unable to read project file!" after creating a new project
  http://sourceforge.net/support/tracker.php?aid=2796271

  Localisation updates:

  - Dutch localisation updated to 2.0.2 (UI, Instant Start, Readme, Documentation)

----------------------------------------------------------------------
 OmegaT 2.0.2 update 1
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.0.2 update 1 vs. 2.0.2

  Bug Fixes:

  - The change of font wasn't applied immediately in the Editor

  - The Enter/Return key was creating a new line when Use TAB to Advance
was checked

  Localisation updates:

  - Slovenian localisation updated to 2.0.1 (UI, readme)
  - Japanese localisation updated to 2.0.2 (UI, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.0.2
----------------------------------------------------------------------
   9 Enhancements
   9 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.0.2 vs. 2.0.1

  Implemented requests:

  - Support for alpha-3 language codes of ISO 639-2 and 639-3
  http://sourceforge.net/support/tracker.php?aid=1570557

  - ResX file filter
  http://sourceforge.net/support/tracker.php?aid=1908250

  - Display all the instances of a segment in searches
  http://sourceforge.net/support/tracker.php?aid=1904497

  - Polish segmentation rules
  http://sourceforge.net/support/tracker.php?aid=2783294

  - Dutch segmentation rules
  http://sourceforge.net/support/tracker.php?aid=2790334

  Other enhancements:

  - Source and target segments are now, by default, left justified for LTR
languages and right justified for RTL languages depending on the
languages of the project. It is still possible to switch with Shift+Ctrl+O,
which has now three states:
- Justification according to languages (default)
- Justification on the left
- Justification on the right

  - Ctrl+Page up and Ctrl+Page down go to the beginning/end of a document
(without entering the segment)

  - XLIFF filter: the segmentation of pre-segmented documents (tagged by
<mrk mtype="seg"> is used.

  - Update of some user interface texts for clarification purposes

  Bug Fixes:

  - Glossary: unclear display if combined entries contain a ","
  http://sourceforge.net/support/tracker.php?aid=2628490

  - Bidi wrong justification
  http://sourceforge.net/support/tracker.php?aid=1383289

  - OmegaT hangs at random
  http://sourceforge.net/support/tracker.php?aid=1762277

  - Random hangs, exceptions in command line, nothing in log
  http://sourceforge.net/support/tracker.php?aid=1817830

  - Confused display when RTL segment starts with LTR characters
  http://sourceforge.net/support/tracker.php?aid=1898522

  - Spellchecker slow down
  http://sourceforge.net/support/tracker.php?aid=1908643

  - Over matching in segmentation rules
  http://sourceforge.net/support/tracker.php?aid=2783299

  - "Mark untranslated" + "Display source"= opening problem
  http://sourceforge.net/support/tracker.php?aid=1812310

  - Pattern after in Text files segmentation rule contained "\s+" instead
of " +"

  - The SkipMeta option in the HTML and XHTML filters was not initialised to
the default value

  Localisation update:

  - Spanish localisation updated to 2.0.1 (UI, readme, instant start)

----------------------------------------------------------------------
 OmegaT 2.0.1
----------------------------------------------------------------------
   8 Enhancements
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.0.1 vs. 2.0.0 update 1

  Implemented requests:

  - New English exception
  http://sourceforge.net/support/tracker.php?aid=2493485

  - Changing the location of user files
  http://sourceforge.net/support/tracker.php?aid=2317274

  - Combine identical and similar glossary entries
  http://sourceforge.net/support/tracker.php?aid=2505552

  - Interface for scripting languages
  http://sourceforge.net/support/tracker.php?aid=1989533

  - Specify project from command line
  http://sourceforge.net/support/tracker.php?aid=1880170

  Other enhancements:

  - Console mode, to be able to run OmegaT without user interface
(For users of the tokenizers - http://sourceforge.net/projects/omegat-plugins -
ITokenizer=<tokenizer> has to be replaced by --ITokenizer=<tokenizer>)

  - The list of files in the Project files window can be selected
and copied to the clipboard.

  - Ctrl+F uses the selection even outside the current target segment

  Bug Fixes:

  - Fix for detection of printf-variables with index specifier
  (for feature http://sourceforge.net/support/tracker.php?aid=2371713)

  Localisation updates :

  - Slovenian localisation updated to 2.0 (readme)

----------------------------------------------------------------------
 OmegaT 2.0.0 update 1 Changes
----------------------------------------------------------------------
   5 Enhancements
   1 Bug fix
   3 Localisation updates
----------------------------------------------------------------------
2.0.0 update 1 vs. 2.0.0

  Implemented requests:
  - Extra checks in TagValidator for PO linefeed
  http://sourceforge.net/support/tracker.php?aid=2371683

  - Extra check in TagValidator if printf variables in PO-file segments are correct
  http://sourceforge.net/support/tracker.php?aid=2371713

  - New English segmentation exceptions
  http://sourceforge.net/support/tracker.php?aid=1974262

  - Fuzzy Glossary Matching
  http://sourceforge.net/support/tracker.php?aid=1374596
  (Requires tokenizers from http://sourceforge.net/projects/omegat-plugins)

  - Catalan and Spanish segmentation rules
  http://sourceforge.net/support/tracker.php?aid=2282491

  Other enhancements:

  - The instant start is displayed correctly (right aligned) for RTL languages

  - OmegaT can use tokenizers to get stemming in fuzzy and glossary matches.
  (Requires tokenizers from http://sourceforge.net/projects/omegat-plugins)

  - Three percentages are displayed in the match pane, corresponding to the three
steps of matching:
1 Using stemming (if a tokenizer is used)
2 Without stemming
3 Taking everything into account (tags, numbers, punctuation)

  Bugs fixes:

  - Spellcheck EN-US: incorrect handling of hyphenated compounds
  http://sourceforge.net/support/tracker.php?aid=1815736
  (Requires tokenizers from http://sourceforge.net/projects/omegat-plugins)

  Localisation updates:

  - Japanese localisation updated to 2.0 (UI)
  - Basque localisation updated to 2.0 (UI)
  - Slovenian localisation updated to 2.0 (UI)

----------------------------------------------------------------------
 OmegaT 2.0.0 Changes
----------------------------------------------------------------------
  13 Enhancements
   0  Bug fix
   1 Localisation
----------------------------------------------------------------------
2.0.0 vs. 1.8.1

  Implemented requests:

  - User-configurable keyboard shortcuts
  http://sourceforge.net/support/tracker.php?aid=1615400

  - Shortcut for Reload/Close/Create translated documents
  http://sourceforge.net/support/tracker.php?aid=1618679

  - Additions to the log
  http://sourceforge.net/support/tracker.php?aid=1632959

  - Keep position after clicking a file
  http://sourceforge.net/support/tracker.php?aid=2150276

  - Project List to remain in front
  http://sourceforge.net/support/tracker.php?aid=1808903

  - Rewrite thread use
  http://sourceforge.net/support/tracker.php?aid=1581565

  Other enhancements:

  - Zero load time. That is, data required for matching is now computed
"on-demand", which means the load time for any project should now be
under a minute in most cases.

  - New log system, with log rotation, logging of concurrent instances,
and configurable content

  - New SRT (subtitles) filter

  - XHTML filter: The options that existed in the HTML filter only have been
ported

  - HTML and XHTML filter: It is now possible to select specifically which
meta content is to be translated

  - New Project Files window. The keyboard can be used, and the Editor font
can be applied or not with a new option in Options/Font.

  - New filter: CopyFlow Gold for QuarkXPress

  - OpenXML filter: New option to translate slide masters in PowerPoint documents

  Localisation updates:

  - French localisation updated to 2.0 (UI)

----------------------------------------------------------------------
 OmegaT 1.8.1 update 7 Changes
----------------------------------------------------------------------
   0 Enhancement
   0 Bug fix
   1 Localisation update
----------------------------------------------------------------------
1.8.1 update 7 vs. 1.8.1 update 6

  Localisation updates:

  - Spanish localisation updated to 1.8 (Instant Start)

----------------------------------------------------------------------
 OmegaT 1.8.1 update 6 Changes
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
1.8.1 update 6 vs. 1.8.1 update 5

  Other enhancements:

  - The Linux package (with JRE) is now compressed with bz2 instead of gz

  Bug fixes:

  - Windows: project's absolute paths are displayed with /
  http://sourceforge.net/support/tracker.php?aid=2826624

  Localisation updates:

  - German localisation updated to 1.8 (UI, Instant Start, Readme, backported from 2.0.3)

----------------------------------------------------------------------
 OmegaT 1.8.1 update 5 Changes
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
1.8.1 update 5 vs. 1.8.1 update 4

  Bug fixes:

  - Linux startup script must be run from install dir
  http://sourceforge.net/support/tracker.php?aid=2654430

  - XLIFF filter: the content of <seg-source> was visible

  Localisation updates:

  - Russian documentation updated to 1.8 (UI, Instant Start, readme, documentation)
  - Dutch localisation updated to 1.8 (Documentation)

----------------------------------------------------------------------
 OmegaT 1.8.1 update 4 Changes
----------------------------------------------------------------------
   0 Enhancement
   4 Bug fixes
   0 Localisation
----------------------------------------------------------------------
1.8.1 update 4 vs. 1.8.1 update 3

  Bug fixes:

  - XML, stylesheet declaration removed from target
  http://sourceforge.net/support/tracker.php?aid=1677412

  - XML, Processing Instructions removed from target document
  http://sourceforge.net/support/tracker.php?aid=1662202

  - Hunspell and OmegaT could crash if a dictionary did not exist for
a project's language

  - XLIFF filter: the tag <mrk> was declared as not containing
translatable content

----------------------------------------------------------------------
 OmegaT 1.8.1 update 3 Changes
----------------------------------------------------------------------
1.8.1 update 3 vs. 1.8.1 update 2

   3 Enhancements
   3 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
1.8.1 update 3

  Implemented requests:

  - Add keyboard shortcuts in Search dialog
  http://sourceforge.net/support/tracker.php?aid=1811065
  (Effective in English and in French, other translations must be
   updated. As for all dialogs, dialog shortcuts are not available on a Mac.)

  Other enhancements:

  - Hunspell for Mac and Linux-i386 is updated to 1.2.8
  - Hunspell for Windows is updated to 1.2.7

  Bug fixes:

  - Tags are counted as characters in statistics
  http://sourceforge.net/support/tracker.php?aid=1910909

  - French dictionary cannot be downloaded and installed
  http://sourceforge.net/support/tracker.php?aid=2138846

  - Linux: Exception on reading omegat/learned_words.txt
  http://sourceforge.net/support/tracker.php?aid=2657589

  Localisation updates:

  - New Welsh localisation (UI, readme, instant start)
  - czech localisation updated to 1.8 (UI, readme, instant start, documentation)

----------------------------------------------------------------------
 OmegaT 1.8.1 update 2 Changes
----------------------------------------------------------------------
   2 Enhancements
   3 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
1.8.1 update 2 vs. 1.8.1 update 1

  Other enhancements:

  Windows: Various corrections and enhancements to OmegaT.exe (the OmegaT
launcher), based on version 3.0.1 of Launch4J.

  Bug fixes:

  - PL "Create new project" too large on OSX
  http://sourceforge.net/support/tracker.php?aid=1895406

  - The content of external TMX level 2 tags is displayed
  http://sourceforge.net/support/tracker.php?aid=1988491

  - Spellcheck: words added to dictionary lost after restart
  http://sourceforge.net/support/tracker.php?aid=1819355

  Localisation updates:

  - Slovenian localisation updated to 1.8 (readme, instant start, documentation)

----------------------------------------------------------------------
 OmegaT 1.8.1 update 1 Changes
----------------------------------------------------------------------
   1 Enhancement
   4 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
1.8.1 update 1 vs. 1.8.1

  Implemented requests:

  - PO: transform \t to tabs and back
  http://sourceforge.net/support/tracker.php?aid=2120936

  Bug fixes:

  - PowerPoint: Non translatable text (<p:attrName>) was visible in the editor

  - Various corrections in the manual

  - PO Filter: \ is doubled for \t
  http://sourceforge.net/support/tracker.php?aid=2149518

  - OpenXML filter: Newline (<w:br>) was not defined as a paragraph tag
  The change might require to revalidate the translation for some existing
segments

  Localisation updates:

  - Japanese localisation updated to 1.8 (UI)
  - Slovenian localisation updated to 1.8 (UI)

----------------------------------------------------------------------
 OmegaT 1.8.1 Changes
----------------------------------------------------------------------
   4 Enhancements
   1 Bug fixe
   4 Localisation updates
----------------------------------------------------------------------
1.8.1 vs. 1.8.0 update 2

  Implemented requests:

  - OpenDoc: Allow to translate or not Bookmark references
  http://sourceforge.net/support/tracker.php?aid=2018244

  - Do not take user to first segment on project reload
  http://sourceforge.net/support/tracker.php?aid=1906198

  Other enhancements:

  - Revised manual

  - The xml:lang attribute can be translated with the HTML filter

  Bug fixes:

  - Extra space in each segment in the German localization
  http://sourceforge.net/support/tracker.php?aid=2169447

  - Vista: wrong location of configuration files
  http://sourceforge.net/support/tracker.php?aid=2200872

  Localisation updates:

  - Slovak localisation updated to 1.8 (UI)
  - Dutch localisation updated to 1.8 (UI, readme)
  - Czech localisation updated to 1.8 (UI, readme)
  - Serbo-Croatian localisation updated to 1.8 (UI, readme)

----------------------------------------------------------------------
 OmegaT 1.8.0 update 2 Changes
----------------------------------------------------------------------
   2 Enhancements
   4 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
1.8.0 update 2 vs. 1.8.0 update 1

  Other enhancements:

  - Spellchecking dialogs now have a title
  - Non-breaking spaces are trimmed from translatable text

  Bug fixes:

  - Spellchecking dialogs not dismissable with [esc]
  http://sourceforge.net/support/tracker.php?aid=1815506

  - Wrong Import file dialog title
  http://sourceforge.net/support/tracker.php?aid=1940081

  - Hunspell not working on Linux 64-bit

  - Non-ascii char badly handled in hunspell lib loading on OS-X
  http://sourceforge.net/support/tracker.php?aid=1862199

  Localisation updates:

  - Catalan localisation updated to 1.8 (UI)

----------------------------------------------------------------------
 OmegaT 1.8.0 update 1 Changes
----------------------------------------------------------------------
   0 Enhancement
   0 Bug fix
   0 Localisation updates
----------------------------------------------------------------------
1.8.0 update 1 vs. 1.8.0

  Localisation updates:

  - Albanian localisation updated to 1.8 (UI, readme)
  - Belarusian localisation updated to 1.8 (UI)
  - New Portuguese (Portugal) localisation (UI)

----------------------------------------------------------------------
 OmegaT 1.8.0 Changes
----------------------------------------------------------------------
  13 Enhancements
   3 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
1.8.0 vs. 1.7.3 update 4

  Implemented requests:

  - Editor window name
  http://sourceforge.net/support/tracker.php?aid=1764103

  - Tool: Spellchecker
  http://sourceforge.net/support/tracker.php?aid=991510

  - Letter case change in editing field
  http://sourceforge.net/support/tracker.php?aid=1386063

  - Display source segments
  http://sourceforge.net/support/tracker.php?aid=1805172

  - Mark translated segments
  http://sourceforge.net/support/tracker.php?aid=1805173

  - Mark untranslated segments
  http://sourceforge.net/support/tracker.php?aid=1809004

  - Navigation history
  http://sourceforge.net/support/tracker.php?aid=1805175

  - HTML, skip extraction of messages matching regxep
  http://sourceforge.net/support/tracker.php?aid=1787085

  - (X)HTML filter: do not translate input VALUE attribute
  http://sourceforge.net/support/tracker.php?aid=1787153

  - Select elements to translate in office documents
  http://sourceforge.net/support/tracker.php?aid=1812565

  - Clickable match window
  http://sourceforge.net/support/tracker.php?aid=1297188

  - Compare source segment and translated segment lengths
  http://sourceforge.net/support/tracker.php?aid=1562002

  - Indicate translation progress in status bar
  http://sourceforge.net/support/tracker.php?aid=1520599

  Bug fixes:

  - HTML filter loses html-encoded characters if not supported
  http://sourceforge.net/support/tracker.php?aid=1802000

  - Check-spelling/styles error
  http://sourceforge.net/support/tracker.php?aid=1822579

  - Mistake of segmentation after <PRE>
  http://sourceforge.net/support/tracker.php?aid=1827479

  Localisation updates:

  - Belarusian UI updated to 1.7.+
  - French UI updated to 1.8

----------------------------------------------------------------------
 OmegaT 1.7.3 update 4 Changes
----------------------------------------------------------------------
   0 Enhancement
   4 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
1.7.3 update 4 vs. 1.7.3 update 3

  Bug fixes:

  - PO Filter: some escapes not working
  http://sourceforge.net/support/tracker.php?aid=1964169

  - Angle bracket no showing in Editor after segment number in the German
localization

  - DocBook: entities resolved only under Java 1.4
  http://sourceforge.net/support/tracker.php?aid=1825174

  - PO: Bad handling of double quotes after no-wrap
  http://sourceforge.net/support/tracker.php?aid=2021007

  Other enhancements:

  - Slovak localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Czech localisation updated to 1.7.3 (UI, readme, instant start, documentation)

----------------------------------------------------------------------
 OmegaT 1.7.3 update 3 Changes
----------------------------------------------------------------------
   2 Enhancements
   4 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
1.7.3 update 3 vs. 1.7.3 update 2

  Implemented requests:

  - DocBook: Allow to translate the language attribute
  http://sourceforge.net/support/tracker.php?aid=1949471

  - Escape support for PO
  http://sourceforge.net/support/tracker.php?aid=1869069

  Bug fixes:

  - Wrong default encoding in XML (should be UTF-8)
  http://sourceforge.net/support/tracker.php?aid=1941365

  - Solaris not detected, and wrong default home directory
  http://sourceforge.net/support/tracker.php?aid=1953251

  - Error trying to create target document with large OOo file
  http://sourceforge.net/support/tracker.php?aid=1955635

  - Windows: the OmegaT folder was not completely removed from Program files
when uninstalling the JRE version

----------------------------------------------------------------------
 OmegaT 1.7.3 update 2 Changes
----------------------------------------------------------------------
   3 Enhancements
   3 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
1.7.3 update 2 vs. 1.7.3 update 1

  Implemented requests:

  - Command line parameters for OmegaT.exe
  http://sourceforge.net/support/tracker.php?aid=1900264

  - Windows installer
  http://sourceforge.net/support/tracker.php?aid=1596625

  - DocBook 5.0 filter
  http://sourceforge.net/support/tracker.php?aid=1907008

  - Do not copy SVN/CVS folders from /source to /target
  http://sourceforge.net/support/tracker.php?aid=1774502

  Bug fixes:

  - PO: Bad handling of plural messages on multiple lines
  http://sourceforge.net/support/tracker.php?aid=1896781

  - Some strings not translated when using external bundle
  http://sourceforge.net/support/tracker.php?aid=1922188

  - XHTML: xmlns="http://www.w3.org... in every tag
  http://sourceforge.net/support/tracker.php?aid=1926940

  Other enhancements:

  - New Arabic localisation (UI, readme, instant start)

----------------------------------------------------------------------
 OmegaT 1.7.3 update 1 Changes
----------------------------------------------------------------------
   1 Enhancement
   7 Bug fixes
   7 Localisation updates
----------------------------------------------------------------------
1.7.3 update 1 vs. 1.7.3

  Implemented requests:

  - Exceptions for EN.*: Fig., St., middle name.
  http://sourceforge.net/support/tracker.php?aid=1856354

  Bug fixes:

  - HTML entities not resolved in the XHTML filter
  http://sourceforge.net/support/tracker.php?aid=1844968

  - Prevent non-XML characters from entering the TMX
  http://sourceforge.net/support/tracker.php?aid=1684825

  - Relative paths not working under Windows/Java 1.4
  http://sourceforge.net/support/tracker.php?aid=1875331

  - Mediawiki import - remove invalid chars in filename
  http://sourceforge.net/support/tracker.php?aid=1878113

  - Relative paths with "similar names" not working
  http://sourceforge.net/support/tracker.php?aid=1879571

  - PO-filter fails to handle plural forms
  http://sourceforge.net/support/tracker.php?aid=1879892

  - Non-translatable strings displayed in OOo documents
  http://sourceforge.net/support/tracker.php?aid=1888097

  Localisation updates:

  - Serbo-Croatian localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Slovenian localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Russian localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Basque localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Hungarian localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Catalan localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Dutch localisation updated to 1.7.3 (UI, readme, instant start, documentation)

----------------------------------------------------------------------
 OmegaT 1.7.3 Changes
----------------------------------------------------------------------
   1 Enhancement
   3 Bug fixes
   5 Localisation updates
----------------------------------------------------------------------
1.7.3 vs. 1.7.2

Contains a revised manual, two new localisations (Danish, polish) and bug fixes

  Other enhancements:

  - Revised manual

  Bug fixes:

  - Properties: space before "=" shouldn't be part of the key
  http://sourceforge.net/support/tracker.php?aid=1812183

  - <context> should be ignored in XLIFF files
  http://sourceforge.net/support/tracker.php?aid=1802000

  - Footnotes break segments in OOo 1.x documents
  http://sourceforge.net/support/tracker.php?aid=1812385

  Localisation updates:

  - Danish 1.6.2 localisation + instant start
  - Polish 1.6.2 localisation + partial manual
  - Catalan localisation updated to 1.7.2
  - Belarusian UI updated to 1.7.2
  - French localisation updated to 1.7.3

----------------------------------------------------------------------
 OmegaT 1.7.2 Changes
----------------------------------------------------------------------
   3 Enhancements
   7 Bug fixes
   8 Localisation updates
----------------------------------------------------------------------
1.7.2 vs. 1.7.1

Contains three new localisations (Simplified Chinese, Traditional Chinese and Czech) and bug fixes

  Implemented requests:

  - Have a more complete ISO 639 list in the UI
  http://sourceforge.net/support/tracker.php?aid=1755240

  - instant start display in the main window
  http://sourceforge.net/support/tracker.php?aid=1604238

  - Current file highlighted in Project Files Window
  http://sourceforge.net/support/tracker.php?aid=1766670

  Bug fixes:

  - Incorrect/unclear data in project_save.txt
  http://sourceforge.net/support/tracker.php?aid=1616247

  - regression in the JA UI strings 1.7.1 test
  http://sourceforge.net/support/tracker.php?aid=1749787

  - Only try to get MediaWiki page if a string has been entered
  http://sourceforge.net/support/tracker.php?aid=1762625

  - readme_pt_BR.txt is garbled (incorrect encoding?)
  http://sourceforge.net/support/tracker.php?aid=1631735

  - Editor window still shows filename after closing project
  http://sourceforge.net/support/tracker.php?aid=1730935

  - omegat version nb in project_save.tmx
  http://sourceforge.net/support/tracker.php?aid=1774398

  - sh language is not expanded in the manual
  http://sourceforge.net/support/tracker.php?aid=1748552

  Other enhancements:

  - Simplified Chinese UI localisation + manual translation
  - French localisation updated to 1.7.1
  - Basque localisation updated to 1.7.1
  - Slovak localisation updated to 1.7.1
  - Serbo-Croatian localisation updated to 1.7.1
  - Traditional Chinese 1.6.2 localisation
  - Dutch 1.6.2 localisation
  - Czech UI localisation + manual translation

----------------------------------------------------------------------
 OmegaT 1.7.1 Changes
----------------------------------------------------------------------
  15 Enhancements
  19 Bug fixes
  10 Localisation updates
----------------------------------------------------------------------
1.7.1 vs. 1.6.1_04

Contains two new filters (XLIFF and Office 2007 XML), many bug fixes, new features, and general improvements

  Implemented requests:

  - Jump to segment #
  http://sourceforge.net/support/tracker.php?aid=1086959

  - Indicate number of results in search window
  http://sourceforge.net/support/tracker.php?aid=1427915

  - Log file l10n and debugging
  http://sourceforge.net/support/tracker.php?aid=1209835

  - Ctrl+Delete, Ctrl+Backspace, and overwriting with Ctrl+i
  http://sourceforge.net/support/tracker.php?aid=1579488

  - Monolingual XLIFF (Okapi) filter
  http://sourceforge.net/support/tracker.php?aid=1649067

  - Apply font to Tag Verification and Project Files windows
  http://sourceforge.net/support/tracker.php?aid=1545636

  - Simplified coloring tags in tag validation window
  http://sourceforge.net/support/tracker.php?aid=1679619

  - Executable alternative to OmegaT.bat
  http://sourceforge.net/support/tracker.php?aid=1692363

  - HTML filters->optional translatable contents in attribute
  http://sourceforge.net/support/tracker.php?aid=1436569

  - (X)HTML: Optional paragraph on BR
  http://sourceforge.net/support/tracker.php?aid=1709400

  - OOo documents, do not show "default language"
  http://sourceforge.net/support/tracker.php?aid=1711953

  - Add direct support for Office 2007 XML
  http://sourceforge.net/support/tracker.php?aid=1589239

  - Do not show quotation marks in glossary pane
  http://sourceforge.net/support/tracker.php?aid=1727409

  - Import MediaWiki source page
  http://sourceforge.net/support/tracker.php?aid=1745384

 Other enhancements:

  - New logging API

  - Enhanced default German segmentation rules

 Bug fixes:

  - Hardcoded bits of text unlocalisable
  http://sourceforge.net/support/tracker.php?aid=1602798

  - log.txt encoding
  http://sourceforge.net/support/tracker.php?aid=1600139

  - Incorrect XHTML file not parsed at all
  http://sourceforge.net/support/tracker.php?aid=1590169

  - DocBook: indexterm not recognised as sub text
  http://sourceforge.net/support/tracker.php?aid=1670754

  - DocBook: <member> should create a new segment
  http://sourceforge.net/support/tracker.php?aid=1672849

  - OmegaT.exe not compatible with Java 1.6
  http://sourceforge.net/support/tracker.php?aid=1692362

  - (X)HTML: HR not defined as a paragraph tag
  http://sourceforge.net/support/tracker.php?aid=1709373

  - Ctrl+Z in search window is hard coded
  http://sourceforge.net/support/tracker.php?aid=1618742

  - Localization projects glitches
  http://sourceforge.net/support/tracker.php?aid=1612550

  - Sentence break on comments in OOo documents
  http://sourceforge.net/support/tracker.php?aid=1628890

  - Resource bundle filter incomplete
  http://sourceforge.net/support/tracker.php?aid=1606595

  - FF character in license.txt
  http://sourceforge.net/support/tracker.php?aid=1664523

  - Can not build on Windows XP
  http://sourceforge.net/support/tracker.php?aid=1657233

  - Wrong auto encoding for XML documents
  http://sourceforge.net/support/tracker.php?aid=1652221

  - Wrong link in legalNotices.html
  http://sourceforge.net/support/tracker.php?aid=1657547

  - Search: simple wilcards do not work
  http://sourceforge.net/support/tracker.php?aid=1680081

  - Language code in segmentation rule is case sensitive
  http://sourceforge.net/support/tracker.php?aid=1643500

  - Less than sign causes problems in HTML and OpenOffice
  http://sourceforge.net/support/tracker.php?aid=1176585

  - Pasting with middle mouse button allowed anywhere in editor
  http://sourceforge.net/support/tracker.php?aid=1743100

  Localisation updates:

  - German instant start tutorial
  - Slovenian UI localisation + manual translation
  - Basque UI localisation + manual translation
  - Hungarian UI localisation + manual translation
  - Turkish UI localisation + instant start tutorial
  - Catalan UI localisation + manual translation
  - Ukrainian UI localisation
  - French UI localisation (update) + instant start tutorial
  - Japanese UI localisation + manual translation
  - Simplified Chinese UI localisation + manual translation

----------------------------------------------------------------------
1.6.1_04
Fixes a licensing issue with the MRJAdapter lib

Version 1.09 of the MRJAdapter library is licensed under the
Artistic License, which is incompatible with the GPL, the license
OmegaT uses. The effect of this is that redistribution of OmegaT
is not allowed. We have fixed this by reverting to version 1.08
of the MRJAdapter library, licensed under the LGPL, which is
GPL-compatible.

 Bug fixes:

  - License incompatibility
  (Inconsistent license information)
  http://sourceforge.net/support/tracker.php?aid=1609275

----------------------------------------------------------------------
1.6.1_03
Contains new and updated localisations.

 Implemented requests:

  -

 Other enhancements:

  - Italian instant start guide updated

  - Serbo-Croation user manual translation

  - Albanian user manual translation

 Bug fixes:

  -

----------------------------------------------------------------------
1.6.1_02
Contains new and updated localisations, legacy manual translations,
and two bug fixes

 Implemented requests:

  -

 Other enhancements:

  - French localisation updated

  - Japanese localisation updated

  - Serbo-Croation UI localisation + instant start guide translation

  - User manual language selection screen (displays only if a
  translation in the system language is unavailable)

  - Legacy user manual translations re-introduced for Belo-Russian,
  German, Esperanto, Spanish, French, Japanese, and Russian.

  - Italian user manual translation

  - Albanian UI localisation + instant start guide translation

  - Belarusian UI localisation updated

 Bug fixes:

  - Corrupted TMX after weird GUI interaction
  http://sourceforge.net/support/tracker.php?aid=1604963

  - Inconsistent license information
  http://sourceforge.net/support/tracker.php?aid=1609275

----------------------------------------------------------------------
1.6.1_01
Contains new localisations plus a couple bug fixes

 Implemented requests:

  -

 Other enhancements:

  - French UI localisation + instant start guide translation

  - Brazilian Portugese full localisation

  - Slovak full localisation

  - Italian instant start guide translation

 Bug fixes:

   - Localisation errors
   http://sourceforge.net/support/tracker.php?aid=1598209

   - Some texts not loaded from external resource bundle
   http://sourceforge.net/support/tracker.php?aid=1602787

   - [target=japanese] some trailing spaces are not reproduced
   http://sourceforge.net/support/tracker.php?aid=1599209

   - Insert best match (% setting)
   http://sourceforge.net/support/tracker.php?aid=1599127

   - Segmentation of bundles on empty lines
   http://sourceforge.net/support/tracker.php?aid=1577534

----------------------------------------------------------------------
1.6.1
Contains a new HTML Help Compiler (HCC) filter

 Implemented requests:

  - HTML Help Compiler filter
  http://sourceforge.net/support/tracker.php?aid=1592946

  - Restore GUI widget
   http://sourceforge.net/support/tracker.php?aid=1557794

 Other enhancements:

  - Command line option to select a different locale than the default

  - Command line option to load an external resource bundle

  - Improved display of OmegaT version. Now includes update number.

 Bug fixes:

  - Arbitrary modification of project_save.tmx
  http://sourceforge.net/support/tracker.php?aid=1594483

----------------------------------------------------------------------
1.6.0_02
Contains a number of quick bug fixes and a documentation enhancement.

 Enhancements:

  - [Doc] readme.txt: some clarification on Java
  http://sourceforge.net/support/tracker.php?aid=1592468

 Bug fixes:

  -Incorreft referral in index.html in root dir
  http://sourceforge.net/support/tracker.php?aid=1591028

  - Links not working in instant start guide
  http://sourceforge.net/support/tracker.php?aid=1591025

  - Search in files shouldn't be checked by default
  http://sourceforge.net/support/tracker.php?aid=1590209

  - Incorrect display in search function
  http://sourceforge.net/support/tracker.php?aid=1590208

  - Force kill causes project_save.tmx destruction
  http://sourceforge.net/support/tracker.php?aid=1583560

  - First segment validation persistence issue
  http://sourceforge.net/support/tracker.php?aid=1587606

  - Project TM not read by older versions
  http://sourceforge.net/support/tracker.php?aid=1592377

  - TMX 1.4 files output by OmegaT refer to TMX 1.1 DTD
  http://sourceforge.net/support/tracker.php?aid=1592375

  - Suprefluous 'while parsing' in bundle.properties
  http://sourceforge.net/support/tracker.php?aid=1591888

  - Segmentation/parsing problem while translating .properties
  http://sourceforge.net/support/tracker.php?aid=1590490

----------------------------------------------------------------------
1.6.0_01
Contains a number of quick bug fixes.

----------------------------------------------------------------------
1.6.0
Contains a form of TMX level 2 export sufficiently compatible with
other CAT tools, and supports regular expression searches.

 Enhancements:

  - Fully overhauled user manual
  [No RFE submitted]

  - Sufficient TMX level 2 support
  [No RFE submitted]

  - Alternate translations in TMX files are no longer skipped
  [No RFE submitted]

  - Regular expression search
  http://sourceforge.net/support/tracker.php?aid=1506640

  - More search options with greater flexibility
  [No RFE submitted]

 Bug fixes:

  - Multiple instances of OmegaT and log file
  http://sourceforge.net/support/tracker.php?aid=1392639

  - Untranslated segment marked as translated
  http://sourceforge.net/support/tracker.php?aid=1409309

  - Search options persistence
  http://sourceforge.net/support/tracker.php?aid=1447698

  - Match ordering
  http://sourceforge.net/support/tracker.php?aid=1449988

  - [MacOSX] Browsing wrong folders from project properties
  http://sourceforge.net/support/tracker.php?aid=1476591

  - Search function should differentiate accented letters
  http://sourceforge.net/support/tracker.php?aid=1506640

  - Tag validation window does not remember position
  http://sourceforge.net/support/tracker.php?aid=1542937

  - Log display bug when parsing TMX
  http://sourceforge.net/support/tracker.php?aid=1549088

  - Trados TMX import bug
  http://sourceforge.net/support/tracker.php?aid=1549926

  - project_stats.txt not updated
  http://sourceforge.net/support/tracker.php?aid=1553115

  - Can't start on Fedore Core 5 with JDK1.6
  http://sourceforge.net/support/tracker.php?aid=1555809

  - Project files window position
  http://sourceforge.net/support/tracker.php?aid=1558328

  - [OpenDocument] One bookmark attribute not translatable
  http://sourceforge.net/support/tracker.php?aid=1569874

  - Out of memory error
  http://sourceforge.net/support/tracker.php?aid=1571944

  - Charset definition in HTML files
  http://sourceforge.net/support/tracker.php?aid=1575761

  - Ctrl+z (cancel) does not work in the search window
  http://sourceforge.net/support/tracker.php?aid=1567480

  - Cancel button not working
  http://sourceforge.net/support/tracker.php?aid=1583109

  - Project files window dismissal
  http://sourceforge.net/support/tracker.php?aid=1581385

  - Folder selection in properties dialog
  http://sourceforge.net/support/tracker.php?aid=1581379

  - Closing a project and the related windows
  http://sourceforge.net/support/tracker.php?aid=1560724

  - Filters Configuration is not persistent under Turkish locale
  http://sourceforge.net/support/tracker.php?aid=1207296

  - Respect original CR/LF of plain text files
  http://sourceforge.net/support/tracker.php?aid=1462566

  - Numbers not coloured in match
  http://sourceforge.net/support/tracker.php?aid=1586397

----------------------------------------------------------------------
1.6.0 RC12a
Contains new Open Document filter, replaces a docking library, and
fixes a few regressions of RC11 and RC12.

 Enchancements:

  - [OpenDocument] Support for inserted OpenDocument files
    http://sourceforge.net/support/tracker.php?aid=1218002

  - [OpenDocument] Translate Bookmarks and Index Entries
    http://sourceforge.net/support/tracker.php?aid=1527251

  - Upgrade 1.4.x tag numbering and restore pair tags
    http://sourceforge.net/support/tracker.php?aid=1523773

  - Upgrade TMXs from paragraph to sentence segmentation
    http://sourceforge.net/support/tracker.php?aid=1527082

  - File statistics should list relative file paths
    http://sourceforge.net/support/tracker.php?aid=1518109

  - Exact OmegaT version in TMX
    http://sourceforge.net/support/tracker.php?aid=1436563

 Bug fixes:

  - [OpenDocument] Writer headers and footers not honored
    http://sourceforge.net/support/tracker.php?aid=1111950

  - [OpenDocument] Footnote markers break sentences
    http://sourceforge.net/support/tracker.php?aid=1461154

  - [OpenDocument] Tracked changes add unnecessary data
    http://sourceforge.net/support/tracker.php?aid=1461178

  - [Regression] Wrong saved path for project folders
    http://sourceforge.net/support/tracker.php?aid=1519052

  - [Regression] Buggy Docking Library
    http://sourceforge.net/support/tracker.php?aid=1518026

  - Encoding problem with project_stats.txt file
    http://sourceforge.net/support/tracker.php?aid=1518101

  - ClassNotFoundException while loading a project
    http://sourceforge.net/support/tracker.php?aid=1528772

----------------------------------------------------------------------
1.6.0 RC11b
Fixes two nasty regressions of RC11. Sorry for inadequate testing everyone.

 Bug fixes:

 - Glossary displays source=source
   http://sourceforge.net/support/tracker.php?aid=1516395

 - Insert/replace with match does not work
   http://sourceforge.net/support/tracker.php?aid=1516807

 - No colouring in matches window
   http://sourceforge.net/support/tracker.php?aid=1516936

----------------------------------------------------------------------
1.6.0 RC11

 Enchancements:

 - Enable relative paths in omegat.project
   http://sourceforge.net/support/tracker.php?aid=1111956

 - Match/Glossary pane may be docked to single main window, improved
   http://sourceforge.net/support/tracker.php?aid=1472196

 - Separate match and glossary window
   http://sourceforge.net/support/tracker.php?aid=1374201

 Bug fixes:

 - HTML filter doesn't handle XHTML in full
   http://sourceforge.net/support/tracker.php?aid=1468685

 - "Re-activate" output of word_count
   http://sourceforge.net/support/tracker.php?aid=1447306

----------------------------------------------------------------------
1.6.0 RC10

 Enchancements:

 - New filter: DocBook files
   http://sourceforge.net/support/tracker.php?aid=991533

 - New filter: PO files
   http://sourceforge.net/support/tracker.php?aid=1483316

 - New Filter: Key-Value text files
   http://sourceforge.net/support/tracker.php?aid=1462564

 - Match/Glossary pane may be docked to single main window
   http://sourceforge.net/support/tracker.php?aid=1472196

 - Find function should not display identical segments
   http://sourceforge.net/support/tracker.php?aid=1295940

 - Separate language and formatting rules
   http://sourceforge.net/support/tracker.php?aid=1475486

 - Give total number of segments in Project Files window
   http://sourceforge.net/support/tracker.php?aid=1500874

 Bug fixes:

 - Problems with segments clickability (Java5+MacOSX-specific regression)
   http://sourceforge.net/support/tracker.php?aid=1436607

 - "Re-activate" output of word_count
   http://sourceforge.net/support/tracker.php?aid=1447306

 - [CJK] [1.6RC8] Translated text files miss line breaks in CJK
   http://sourceforge.net/support/tracker.php?aid=1462938

 - [OO] Don't segment on inline images, bookmarks, references
   http://sourceforge.net/support/tracker.php?aid=1458673

 - Windows closing/position problems/String problems
   http://sourceforge.net/support/tracker.php?aid=1386155

 - Language codes forced to uppercase
   http://sourceforge.net/support/tracker.php?aid=1473713

 - Language names in segmentation file are hardcoded
   http://sourceforge.net/support/tracker.php?aid=1467200

 - Shortcuts active while menus are not
   http://sourceforge.net/support/tracker.php?aid=1446521

 - Go to next untranslated should cycle the project
   http://sourceforge.net/support/tracker.php?aid=1447708

 - Previous segment shortcut should be CMD+Enter on MacOSX
   http://sourceforge.net/support/tracker.php?aid=1468315


1.6.0 RC9 - internal version that was never released

 Enchancements:

 - [Filters] New Filter for Key-Value text files (differently encoded)
   http://sourceforge.net/support/tracker.php?aid=1462564

 - Match/Glossary pane may be docked to single main window
   http://sourceforge.net/support/tracker.php?aid=1472196

 - Separate language and formatting rules
   http://sourceforge.net/support/tracker.php?aid=1475486

 Bug fixes:

 - Problems with segments clickability (Java5+MacOSX-specific regression)
   http://sourceforge.net/support/tracker.php?aid=1436607

 - "Re-activate" output of word_count
   http://sourceforge.net/support/tracker.php?aid=1447306

 - [CJK] [1.6RC8] Translated text files miss line breaks in CJK
   http://sourceforge.net/support/tracker.php?aid=1462938

 - [OO] Don't segment on inline images, bookmarks, references
   http://sourceforge.net/support/tracker.php?aid=1458673

 - [OO] Tracked changes add unnecessary data
   http://sourceforge.net/support/tracker.php?aid=1461178

 - Windows closing/position problems/String problems
   http://sourceforge.net/support/tracker.php?aid=1386155

 - Language codes forced to uppercase
   http://sourceforge.net/support/tracker.php?aid=1473713

 - Language names in segmentation file are hardcoded
   http://sourceforge.net/support/tracker.php?aid=1467200

 - Shortcuts active while menus are not
   http://sourceforge.net/support/tracker.php?aid=1446521

 - Go to next untranslated should cycle the project
   http://sourceforge.net/support/tracker.php?aid=1447708

 - Previous segment shortcut should be CMD+Enter on MacOSX
   http://sourceforge.net/support/tracker.php?aid=1468315


1.6.0 RC8

 Enchancements:

 - keeping Cursor at middle of working window
   http://sourceforge.net/support/tracker.php?aid=1228857

 Bug fixes:

 - Problems with segments visibility (RC7 regression)
   http://sourceforge.net/support/tracker.php?aid=1436607

 - Japanese mismatches
   http://sourceforge.net/support/tracker.php?aid=1392607

 - Regex exception when loading glossary
   http://sourceforge.net/support/tracker.php?aid=1438295

 - BOM problem in UTF-8 glossaries
   http://sourceforge.net/support/tracker.php?aid=1439547

 - Upgrade segmentation defaults each new version
   http://sourceforge.net/support/tracker.php?aid=1435711


1.6.0 RC7

 Enchancements:

 - Delete orphan segments from exported TMX file
   http://sourceforge.net/support/tracker.php?aid=1422364

 - Filters should be individually configured
   http://sourceforge.net/support/tracker.php?aid=1434121

 - Option for Text filter: Non-segmenting filter
   http://sourceforge.net/support/tracker.php?aid=1435349

 - Save project's backup each reload (up to 10 backups)
   http://sourceforge.net/support/tracker.php?aid=1435288

 Bug fixes:

 - Performance issue with Huge files
   http://sourceforge.net/support/tracker.php?aid=1427669

 - Dialogs/windows do not close on Escape
   http://sourceforge.net/support/tracker.php?aid=1422959

 - Structure of HTML not respected in output
   (second iteration over a Bug fix first appeared in 1.6.RC4)
   http://sourceforge.net/support/tracker.php?aid=1364265

 - Do not add encoding declaration meta if HTML has no header
   http://sourceforge.net/support/tracker.php?aid=1406630

 - OO tags are numbered one-by-one
   http://sourceforge.net/support/tracker.php?aid=1431473

 - OO bug: Initial and trailing tags falsely skipped
   http://sourceforge.net/support/tracker.php?aid=1431497

 - Dialogs/windows do not close on Escape
   http://sourceforge.net/support/tracker.php?aid=1422959

 - status bar display bug
   http://sourceforge.net/support/tracker.php?aid=1422380

 - About dialog too small
   http://sourceforge.net/support/tracker.php?aid=1422986

 - License dialog too small/funny characters
   http://sourceforge.net/support/tracker.php?aid=1422982

1.6 RC6

 Enchancements:

 - TMX: Import TMX 1.4b, export TMX 1.1 Level 1
   http://sourceforge.net/support/tracker.php?aid=1031139

 - Language matching precision while importing TMX files
   http://sourceforge.net/support/tracker.php?aid=1416610

 Bug fixes:

 - Unicode path names problem
   http://sourceforge.net/support/tracker.php?aid=1391060

 - Case sensitivity for segmentation rules
   http://sourceforge.net/support/tracker.php?aid=1393484

 - False positive in tag validation
   http://sourceforge.net/support/tracker.php?aid=1374674

 - UTF-8 BOM not recognized
   http://sourceforge.net/support/tracker.php?aid=1407663

 - The order of tags is changed in HTML header when translating
   http://sourceforge.net/support/tracker.php?aid=1398044

 - incorrect punctuation in some error messages
   http://sourceforge.net/support/tracker.php?aid=1399514

 - Incorrect menu option naming
   http://sourceforge.net/support/tracker.php?aid=1410234

 - Empty file makes loading of project fail
   http://sourceforge.net/support/tracker.php?aid=1406084


1.6 RC5

 Enchancements:

 - OOo tag support (text:user-defined and text:sequence)
   http://sourceforge.net/support/tracker.php?aid=1385052

 - log does not indicate if tmx is loaded.
   http://sourceforge.net/support/tracker.php?aid=1372226

 Bug fixes:

 - generic tmx compatibility issue
   http://sourceforge.net/support/tracker.php?aid=1365649

 - Previously working TMX not accepted
   http://sourceforge.net/support/tracker.php?aid=1369056

 - tmx files with srclang set to "*all*"
   http://sourceforge.net/support/tracker.php?aid=1370836

 - TMX load error message
   http://sourceforge.net/support/tracker.php?aid=1370530

 - StringIndexOutOfBoundsException in tokenizer
   http://sourceforge.net/support/tracker.php?aid=1382810

 - OmegaT does not segment on "<br>\n"
   http://sourceforge.net/support/tracker.php?aid=1385202

 - <div> not considered as segmenting
   http://sourceforge.net/support/tracker.php?aid=1379137

 - target doc meta-tag not corresponding to original
   http://sourceforge.net/support/tracker.php?aid=1388802

 - Incorrect encoding of error messages
   http://sourceforge.net/support/tracker.php?aid=1378639

 - typo in about box
   http://sourceforge.net/support/tracker.php?aid=1377539

 - Bug in auto-copy selected text for search
   http://sourceforge.net/support/tracker.php?aid=1374100

 - OmegaT autoinserts a fuzzy match when you try to quit it
   http://sourceforge.net/support/tracker.php?aid=1370840

 - first segment does not trigger matches after load
   http://sourceforge.net/support/tracker.php?aid=1370838

 - False positive in tag validation
   http://sourceforge.net/support/tracker.php?aid=1374674

1.6 RC4

 Enchancements:

 - Access to segmentation rules
   http://sourceforge.net/support/tracker.php?aid=1367707

 Bug fixes:

 - HTML bug: Initial tags falsely skipped
   http://sourceforge.net/support/tracker.php?aid=1359915

 - Structure of HTML not respected in output
   http://sourceforge.net/support/tracker.php?aid=1364265

 - trados tmx compatibility issue
   http://sourceforge.net/support/tracker.php?aid=1365597

 - empty <tu> in external TMX fail project loading
   http://sourceforge.net/support/tracker.php?aid=1365457

 - search bug
   http://sourceforge.net/support/tracker.php?aid=1348191


1.6 RC3

 Enchancements:

 - Keyboard option (ESC) to close Find window
   http://sourceforge.net/support/tracker.php?aid=1350555

 - Add Yes/No Warning before OmegaT quits
   http://sourceforge.net/support/tracker.php?aid=1302358

 Bug fixes:

 - sentence segmenting regexp and Japanese
   http://sourceforge.net/support/tracker.php?aid=1333721

 - search bug
   http://sourceforge.net/support/tracker.php?aid=1348191

 - The help viewer does not recognize external links
   http://sourceforge.net/support/tracker.php?aid=1348851

 - Index entries in OpenOffice documents segment the text
   http://sourceforge.net/support/tracker.php?aid=1353211


1.6 RC2.002

 Enchancements:

 - DL, DD, DT tags should segment
   http://sourceforge.net/support/tracker.php?aid=1348792

 - Different enchancements for Editing Options
   http://sourceforge.net/support/tracker.php?aid=1337476

 Bug fixes:

 - Bug if Target Encoding is set to [auto] for (X)HTML
   http://sourceforge.net/support/tracker.php?aid=1350320


1.6 RC2
-------------------------------

 Enchancements:

 - Flexible (Sentence) Segmenting
   http://sourceforge.net/support/tracker.php?aid=1053692

 - Translate HTML attributes "alt", "title" etc
   http://sourceforge.net/support/tracker.php?aid=1236555

 - Variable charset for output of (X)HTML documents
   http://sourceforge.net/support/tracker.php?aid=1309787

 - Edit Project to change project parameters
   http://sourceforge.net/support/tracker.php?aid=1227890

 - Display save status in the status bar
   http://sourceforge.net/support/tracker.php?aid=1228249

 - Display "OmegaT: Instant Start" article on statup
   http://sourceforge.net/support/tracker.php?aid=1217081

 - Project File List small improvements
   http://sourceforge.net/support/tracker.php?aid=1295695

 - Option: not copy source text into target field
   http://sourceforge.net/support/tracker.php?aid=1075972

 - Option: Insert best match (80%+) into target field
   http://sourceforge.net/support/tracker.php?aid=1075976

 - Creating project should immediately open it
   (code by Kim Bruning)
   http://sourceforge.net/support/tracker.php?aid=1313027

 - Allow adding source files from OmegaT UI
   (code by Kim Bruning)
   http://sourceforge.net/support/tracker.php?aid=1313033

 - Add scroller to Match Window
   http://sourceforge.net/support/tracker.php?aid=1295945

 - Give use more key shorctuts!
   http://sourceforge.net/support/tracker.php?aid=1230230

 Bug fixes:

 - Tools/Validate tags shouldn't display a list of errors
   if no errors were found
   http://sourceforge.net/support/tracker.php?aid=1209839

 - Several problems in XHTML filter
   http://sourceforge.net/support/tracker.php?aid=1111338

 - HTML filter doesn't handle CDATA sections
   http://sourceforge.net/support/tracker.php?aid=1207505

 - javascript quote marks wrongly replaced (in HTML)
   http://sourceforge.net/support/tracker.php?aid=1213496

 - Empty files are displayed in a file list window
   http://sourceforge.net/support/tracker.php?aid=1256026

 - AltGr+A in Irish deletes all the segment text
   http://sourceforge.net/support/tracker.php?aid=1296761

 - Valid TMX 1.1 unsupported (CSVConverter's output)
   http://sourceforge.net/support/tracker.php?aid=1295165

 - <br> and <address> don't segment in HTML documents
   http://sourceforge.net/support/tracker.php?aid=1288756

 - Changing the highlighted match types number on MacOSX
   http://sourceforge.net/support/tracker.php?aid=1295936

 - Users Manual not found if OT is started not from install dir
   http://sourceforge.net/support/tracker.php?aid=1296688

 - 1.4.6beta4 selection in the match window
   (1.4.6 beta 4 regression)
   http://sourceforge.net/support/tracker.php?aid=1303853

 - Tags are taken into account when computing similarity
   http://sourceforge.net/support/tracker.php?aid=1298542

 - Command shortcuts must use CMD+Key on MacOSX
   http://sourceforge.net/support/tracker.php?aid=1295936

 - <br> and <address> do not segment in HTLM documents
   http://sourceforge.net/support/tracker.php?aid=1288756

 - Window size settings not memorized on MacOSX
   http://sourceforge.net/support/tracker.php?aid=1224884

1.4.5.04
-------------------------------

 Bug fixes:

 - Empty files are displayed in a file list window
   http://sourceforge.net/support/tracker.php?aid=1256026

 - AltGr+A in Irish deletes all the segment text
   http://sourceforge.net/support/tracker.php?aid=1256094


1.4.5.03
-------------------------------

 Bug fixes:

 - HOME and END key issues:
     * While pressing the HOME key cursor moves to begining of a line
     * While pressing the END key cursor moves to end of a line
   http://sourceforge.net/support/tracker.php?aid=1228296

 Enchancements:

 - German User Manual included
   Thanks goes to Martin Wunderlich!

1.4.5.02
-------------------------------

 Bug fixes:

 - Regression: 1.4.5.01 Cannot create/open a project
   http://sourceforge.net/support/tracker.php?aid=1225510


1.4.5.01
-------------------------------

 Bug fixes:

 - Serious threading issue, preventing OmegaT from showing up...
   http://sourceforge.net/support/tracker.php?aid=1216514

 - ResourceBundle filter bug: \\ -> \
   http://sourceforge.net/support/tracker.php?aid=1215590

 - Select all in the editing field shifts focus on MacOSX
   http://sourceforge.net/support/tracker.php?aid=1211826

 Enchancements:

 - Open the project when selecting the project folder
   http://sourceforge.net/support/tracker.php?aid=1216533

1.4.5
-------------------------------

 Bug fixes:

 - Problem with glossary - OmT freezing
   http://sourceforge.net/support/tracker.php?aid=1211458

 - Filters Configuration is not persistent under Turkish locale
   http://sourceforge.net/support/tracker.php?aid=1207296
   (workaround JVM bug)


1.4.5 Release Candidate 3
-------------------------------

 Bug fixes:

 - Less than sign causes problems in HTML, XHTML and OpenOffice
   http://sf.net/tracker/index.php?func=detail&aid=1176585&group_id=68187&atid=520347

 - Keys to select/delete target text work not as expected
   http://sf.net/tracker/index.php?func=detail&aid=1085043&group_id=68187&atid=520347

 - No warnings on wrong language codes during project creation
   http://sf.net/tracker/index.php?func=detail&aid=1053695&group_id=68187&atid=520347

 - Weird behaviour of Create Project / Open Project dialogs:
   * Cancel during project creation caused the dialog to appear in weird state
   * Cancel during project load resulted in InterruptedAcception shown to the user

 - Corrupt target OOo files after compiling
   http://sf.net/tracker/index.php?func=detail&aid=1188307&group_id=68187&atid=520347
   (regression in OpenOffice and XHTML due to a massive rewrite of file filters)

 - Compiled OO files missing language-specific characters
   http://sourceforge.net/tracker/index.php?func=detail&aid=1188723&group_id=68187&atid=520347
   (regression in OpenOffice filter due to a massive rewrite of file filters)


 Enchancements:

 - File Filters Redesign
   http://sf.net/tracker/index.php?func=detail&aid=991526&group_id=68187&atid=520350

   Now mostly all the information about filters is exposed,
   and may be edited by user. Such as:
   * Turning filters on/off
   * Adding/changing extension(s) of each format
   * Setting of the source & target encoding for the filter to use.
   * Setting a pattern of target filename

 - Load filters as plugins
   http://sf.net/tracker/index.php?func=detail&aid=1195957&group_id=68187&atid=520350

   OmegaT now may load filter plugins dynamically.
   Filter plugins should be situated in [OmegaT-install-dir]/plugins
   and should be packed as JAR files with manifest stating:
   * OmegaT-Plugin: true   and then for each filter in a plugin (each plugin may have more than one filter)
   * Name: the.package.name.TheFilterName
   * OmegaT-Filter: true

 - UI issues: Make menu item names more clear & Change the way we display version
   http://sf.net/tracker/index.php?func=detail&aid=1037633&group_id=68187&atid=520350
   http://sf.net/tracker/index.php?func=detail&aid=1037638&group_id=68187&atid=520350

 - ESC to close the file list
   http://sf.net/tracker/index.php?func=detail&aid=1073194&group_id=68187&atid=520350

 - Hide CDATA from translators in XML/XHTML
   http://sf.net/tracker/index.php?func=detail&aid=1110991&group_id=68187&atid=520350

 - Error log
   http://sf.net/tracker/index.php?func=detail&aid=1164377&group_id=68187&atid=520350
   (now OmegaT stores error messages to 'log.txt' file, reset each time you start OmegaT)

 - New filter: NetBeans EDGE Newsletter
   http://sf.net/tracker/index.php?func=detail&aid=1195959&group_id=68187&atid=520350
   (really a small extension of XML filter, useful for a really small number of people.
    this filter is implemented as a plugn).

 - Edit the project directories paths
   http://sourceforge.net/tracker/index.php?func=detail&aid=1202405&group_id=68187&atid=520350

 - Match/Glossary Split Pane
   http://sourceforge.net/tracker/index.php?func=detail&aid=1202984&group_id=68187&atid=520350

1.4.5 Beta3
-------------------------------

Bug fixes:

- Compiled OpenOffice files missing language-specific characters
  http://sf.net/tracker/index.php?func=detail&aid=1188723&group_id=68187&atid=520347

- No warnings on wrong language codes during project creation
  http://sf.net/tracker/index.php?func=detail&aid=1053695&group_id=68187&atid=520347

Also some work on stabilizing the interface...

Not yet in Beta3:
      Finalize documentation and implement some minor Bug fixes / RFEs.


1.4.5 Beta2
-------------------------------
Bug fixes:

- Less than sign causes problems in XHTML & OpenOffice
  (similar to the Bug fix in Beta1, but for XML-based filters)
  http://sf.net/tracker/index.php?func=detail&aid=1176585&group_id=68187&atid=520347

Enchancements:

- Now 1.4.5 is fully localizable (no hardcoded English is left).

- OmegaT 1.4.5 is compiled using Java 1.4,
  but is fully functional under both Java 1.4 and Java 5.

1.4.5 Beta1
-------------------------------
Bug fixes:

- Less than sign causes problems in HTML
  http://sf.net/tracker/index.php?func=detail&aid=1176585&group_id=68187&atid=520347

Enchancements:

- Change the way we display version
  http://sf.net/tracker/index.php?func=detail&aid=1037638&group_id=68187&atid=520350

- Editing extension mapping
  http://sf.net/tracker/index.php?func=detail&aid=991526&group_id=68187&atid=520350

1.4.4.02
-------------------------------
Bug fixes:

- Wrong handling of CDATA tags in XHTML
  http://sf.net/tracker/index.php?func=detail&aid=1109089&group_id=68187&atid=520347

- OmegaT throws error instead of eating BOM (byte order mark)
  http://sf.net/tracker/index.php?func=detail&aid=1107299&group_id=68187&atid=520347


1.4.4.01
-------------------------------
(1.4.4 "final" contained a serious bug in TXT file handler,
 http://sf.net/tracker/index.php?func=detail&aid=1106314&group_id=68187&atid=520347
 and was released for a couple of days only, hope you don't have it)
-------------------------------
Enchancements:

- Easy Help system localization
  (and Belorussian, French, German, Russian and Spanish l10ns)

- Separate source distribution of OmegaT

- Ability to jump to next not yet translated segment
  by Henry Pijffers

- Increased number of fuzzy matches
  (now with as low as 40% similarity)

- Refactoring HTML and XML file handlers
  to improve speed and stability

- Some refactorings of file handlers
  to streamline the development of new file handlers
  (will be useful in the future, I hope)

- Glossary now supports UTF-8
  (glossary file should be tab-delimited,
   if extension is .tab - it's in default system encoding,
   is .utf8 - it's in UTF-8 encoding)
   itherwise the file is ignored

Bug fixes:

- Too little fuzzy matches were found,
  especially in small projects

- Old Fuzzy Matching engine was totally
  bad on Japanese source files

- HTML Encoding wasn't always recognized correctly

- And sometimes encoding meta was not inserted
  into compiled HTML files

- Help file viewer was shown multiple times
  by Sacha Chua

- Empty segments were uselessly displayed

- Font Change now works reliably


1.4.3
-------------------------------
Bug fix release:

- Fixed Bad Segmentation of some files,
  as documented in: http://groups.yahoo.com/group/OmegaT/message/672

- (minor) .properties file handler had off-by-one error when
  parsing Unicode symbols of a form \uXXXX.

Enchancements:
- Created an independent tool to import existing translations
  of .properties files

- Added "Join mailing list" to Windows menu

1.4.2
-------------------------------
A lot of enhancements:

- Installer and Native .exe launcher for Win32 platform:
    Install script was created by Samuel Murray
    Launcher created using JSmooth.SF.net project

- OmegaT code was refactored:
  1) Each class now resides in a separate file
  2) Classes are structured to packages according to their function
  3) Unused, commented-out and debug code was cleaned out

- OmegaT backs up it's main TMX file after successfully opening it
  (backup has the name project_save.tmx.bak)

- OmegaT is fully localizable now:
  All localizable strings are moved to resource bundle

- New filter: Java ResourceBundles (.properties files)

  !!! Now you're able to localize OmegaT using OmegaT itself !!!
  - create an empty project for your language,
  - copy source/org/omegat/Bundle.properties into project's 'source' dir
  - open the project, translate it and compile
  - send us the Bundle_XX.properties from project's 'target' dir

One MAJOR bug fixed:
- Cannot insert \n (newline) into localized text

1.4.1
-------------------------------
Match window now displays only fuzzy matches that have a translation.
Benefits:
- fuzzy matches of very similiar phrases without translation
  don't garbage the screen estate
- in early times of project (when there's not a lot of strings translated),
  less similiar phrases may be found

and 6 minor bugs fixed:
- Match window contains 6 matches sometimes
- Ctrl-N goes to previous segment
- Sometimes all the text in match window is bold
- Wrong message template: "found {1} glossary term(s)"
- Going to segment without matches may throw Exception
- Status label disappears someties


1.4.0
-------------------------------
Repackaging of 1.3.16 plus the latest help files.


1.3.16
-------------------------------
Fixed a bug in the file copy routine which would append extra data onto
  unrecongized files when making an image of the source tree (thanks Maxym)
Modified the search mechanism to uninflect common western letters, so
  a search for an accented character would also match its unaccented form

1.3.15
-------------------------------
fixed bug where advance key wouldn't reset back from TAB in pref file
fixed bugs involving text being deleted from translation area (corrupted
  and incorrect display)
(re)added background color to source text

1.3.14 rc3 (and there'll be at least one more RC relase to go)
--------------------------------
now pull look and feel from system
shrank default window size for 600x800 screen a couple of pixels
deactivated 'New Project' feature while existing project was active
added new <span> tag to HTML and XHTML file parser

1.3.13 rc2
--------------------------------
activated colors for fuzzy match info
reduced default window height to give at least 60 pixels at bottom of screen

1.3.12 (1.4 release candidate 1)
--------------------------------
changed window auto-sizing code (it would break on certain platforms).
  now store window positions in preference file and restore on open
fixed potential bug in project quit routine
allow users to select between TAB and ENTER to advance to next string
  (Asian IMEs require the ENTER key in a way that is sometimes incompatible)
  new behavior: ENTER to advance; CTRL-ENTER to move backwards
                TAB to advance; SHIFT-TAB to move backwards
                SHIFT-ENTER to insert soft return
updated help files
removed buggy "goto next untranslated entry" feature
deactivated 'File:Open' when project is already open to prevent accidental
  project closures.  Added new 'File:Close' to explicitly close project.
extended HTML file parser to observe encoding declaration (code changes
  thanks to Maxym Mykhalchuk)
removed build date from .java files to make them more CVS friendly

1.3.11
--------------------------------
fixed a bug in the XHTML parser that would sometimes not build accented
  characters correctly
all files from source directory tree now copied to target tree on compile
gave match/glossary window a keyboard shortcut to hide/show it
activated recursive file searching (this had been silently inactive)
hilited "active" fuzzy match in match pane
fixed offset bug where documents with identical entries would lose a
  character
fixed bug where exception would be thrown if font was set before project
  was loaded

1.3.10 alpha
--------------------------------
fixed bug w/ recycle translation feature where strings became corrupted
added logic to account for task bars at top or left of screen when placing
  windows
fixed bug where TM strings were not recycled into project
changed auto-save interval from every 5 minutes to every minute
removed some unused menu items
returned Ctrl-P as shortcut for goto previous entry
fixed some bugs in the fuzzy matching system

1.3.9 alpha
--------------------------------
depricated 'prev' and 'next' navigation shortcuts (Ctrl-R/P) in favor of more
  more convenient and existing 'Enter' and 'Ctrl-Enter'
added new feature to go to next untranslated string (Ctrl-N)
added mnemonics and changed key mappings (undo/redo now Z/Y - wanted to
  use Mac method of undo=Ctrl-Z and redo=Ctrl-shift-Z, but don't know of
  a straightforward method to do this yet)
find screen display size before drawing windows
(thanks SIB for implementation of these last parts)

1.3.8 alpha
--------------------------------
updated font dialog
fixed bug where exception thrown when changing font w/ no project loaded
extracted fuzzy match info to new window; made glossary info visible
fixed offset bugs that caused out-of-bounds exceptions when changing
  documents


1.3.7 alpha (internal release)
--------------------------------
removed second font and reverted text editor to JTextPane w/o an explicit
  backend document to allow files to open faster (10 times faster).  lost
  some control of display formating in the process
added undo/redo to current edit field
fixed copy-paste bug that allowed ctrl-V paste when selection was hilited
  in context area to misalign display
made searches case insensitive
fixed XHTML output bug that would add extra & and ; to certain escaped
  characters

1.3.6 alpha
--------------------------------
Changed project open dialog to operate on project files directly (instead
                of project directories) as some users could not open projects
                at all (esp. mac users)
Set font in find window to match source language font and size.
Locked out keyboard input when no project active

1.3.5 alpha
--------------------------------
(all bug fixes)
where text hilited outside of edit zone could delete non editable text
fixed several bugs in fuzzy matching - now back online

1.3.4 alpha
--------------------------------
#fixed scroll problem where current entry sometimes shows off bottom of screen
fixed bug where untranslated identical segments in same file would throw
        off display
soft returns save and restore correctly now
fixed bug where project would encounter error while loading before
        save thread could be activated, but project would appear to be normal
added TM search to search window
fixed bug where escaped hex codes in xml parser weren't read correctly
fixed bug in html parser where all chars were escaped
fixed character offset problem when identical strings resided in same file
        and UI would get out of sync
added better control to find window controls to only what's available


1.3.2 alpha
--------------------------------
added help window
changed caret movment when hiliting text

1.3.1 alpha
--------------------------------
rewrote string tokenizer - now handles multi-char glyphs
new fuzzy match 'insert' feature
updated 'replace' and 'copy source' to new UI
changed font display mechanism
enabled text hiliting outside of editing zone for copy actions
extended yellow hilite to cover editing zone


1.3.0 alpha
----------------------------------------------------------------------
new UI up and running - text and fonts display properly


OmegaT 1.1.3 (dev)
----------------------------------------------------------------------
deprecated ignore file list


OmegaT 1.1.2 (beta build)
----------------------------------------------------------------------
- Moved find mechanism to seperate window; added wildcard abilities to keyword
  search.
- Modified main UI to provide more space to the translation and context areas.
- OOo parser rewritten to use new core XML file parser
- XHTML support
- extension of HTML parser to recognize more extended characters
- deprecation of .../<project>/omegat/file_extension_mapping file - moved
  information to global preference system


OmegaT 1.0.2
23 February, 2003:
----------------------------------------------------------------------
bug fixes (exact change lost)

OmegaT 1.0.0
10 January, 2003
----------------------------------------------------------------------
changes
- UI updates: got rid of tables in context view; added icon to UI
- File formats: converted all internal files to XML (except 2 which were left
  as tab files); project_save and compiled tm now TMX (or at least a close
  cousin of TMX)
- Search target text: added mechanism to search translated text.  uses exact
  string matching (as opposed to keyword search in source text)
- Preference system to remember previously used directories and locales
- Project (creating/opening) interface completely changed.  Projects now
  handled as folders instead of files.  Cute icon in file open dialog indicates
  valid project folder.
- New option under Tools menu to examine tags and see if any have changed
  position, been deleted or been added.
- Enabled JVM 1.4 support for find and goto fields to be activated by 'ENTER'
  key

undocumented feature
- hilite text in translation pane then hit ctrl-f (or 'e') and search will
  automatically begin using hilited text
- control enter in the exact match search field will search the source
  langauge segments instead of target lang

bug fixes
all fixes as of 0.9.9
----------------------------------------------------------------------
----------------------------------------------------------------------

0.9.9
----------------------------------------------------------------------
bug fixes
- fixed compile bug in HTML and OOo parsers where parser would get confused
  if a close tag didn't have an associated open tag

note: this release was built by hand using files unziped from 0.9.8.
The release is not in CVS but the changes were put into the 1.0 tree
----------------------------------------------------------------------

0.9.8
----------------------------------------------------------------------
updated manual to most current available

bug fixes
- keyboard shortcuts should now used preferred OS meta key
- changed first project creation dialog to be save dialog (should resolve
mac specific behavior problems)
- fixed potential bug in ignore and mapping preference system
----------------------------------------------------------------------


0.9.7
----------------------------------------------------------------------
changes
converted text file reader to expect latin-1 input, as the default
 utf-8 keeps choking it
added some meaningful output to the console

bug fixes
fixed path bug in TM loader
removed debugging code that kept informing of swallowd keypresses
----------------------------------------------------------------------


0.9.6
----------------------------------------------------------------------
Changes / new features
- New project window that lists all files within a project and hyper-links
  to them for better navigation
- Added 'Browse' buttons to project creation window for more user friendly
  selection of non-default project directories (such as to select a directory
  containing already unpacked source language files)
- New auto-save mechanism.  Currently set to save project automatically
  every 5 minutes.
- Returned ENTER key to it's original use of commiting current entry and
  moving on to the next.  SHIFT-ENTER inserts a soft return (ascii 0x8d)
  into the text field, and CONTROL-ENTER moves to the previous entry.

Bug-fixes
- Automatic saving of existing project when attempting to load new one
- Fixed an intermittent deadlock bug for JRE 1.4

Issues
- Discovered bug in the Java HTML viewer in JRE 1.2 where correctly formed
HTML will sometimes (somehow) cause a string of exceptions to arise and
eventually freeze the application.
----------------------------------------------------------------------
